<map version="freeplane 1.6.0">
<!--To view this file, download free mind mapping software Freeplane from http://freeplane.sourceforge.net -->
<node TEXT="Sistemas Operacionais" FOLDED="false" ID="ID_759468983" CREATED="1521930356867" MODIFIED="1522635877501" STYLE="oval" MAX_WIDTH="256.49999253451847 pt" MIN_WIDTH="256.49999253451847 pt">
<font SIZE="18"/>
<hook NAME="MapStyle" zoom="0.967">
    <properties fit_to_viewport="false" edgeColorConfiguration="#808080ff,#ff0000ff,#0000ffff,#00ff00ff,#ff00ffff,#00ffffff,#7c0000ff,#00007cff,#007c00ff,#7c007cff,#007c7cff,#7c7c00ff" show_icon_for_attributes="true" show_note_icons="true"/>

<map_styles>
<stylenode LOCALIZED_TEXT="styles.root_node" STYLE="oval" UNIFORM_SHAPE="true" VGAP_QUANTITY="24.0 pt">
<font SIZE="24"/>
<stylenode LOCALIZED_TEXT="styles.predefined" POSITION="right" STYLE="bubble">
<stylenode LOCALIZED_TEXT="default" COLOR="#000000" STYLE="fork">
<font NAME="SansSerif" SIZE="10" BOLD="false" ITALIC="false"/>
</stylenode>
<stylenode LOCALIZED_TEXT="defaultstyle.details"/>
<stylenode LOCALIZED_TEXT="defaultstyle.attributes">
<font SIZE="9"/>
</stylenode>
<stylenode LOCALIZED_TEXT="defaultstyle.note" COLOR="#000000" BACKGROUND_COLOR="#ffffff" TEXT_ALIGN="LEFT"/>
<stylenode LOCALIZED_TEXT="defaultstyle.floating">
<edge STYLE="hide_edge"/>
<cloud COLOR="#f0f0f0" SHAPE="ROUND_RECT"/>
</stylenode>
</stylenode>
<stylenode LOCALIZED_TEXT="styles.user-defined" POSITION="right" STYLE="bubble">
<stylenode LOCALIZED_TEXT="styles.topic" COLOR="#18898b" STYLE="fork">
<font NAME="Liberation Sans" SIZE="10" BOLD="true"/>
</stylenode>
<stylenode LOCALIZED_TEXT="styles.subtopic" COLOR="#cc3300" STYLE="fork">
<font NAME="Liberation Sans" SIZE="10" BOLD="true"/>
</stylenode>
<stylenode LOCALIZED_TEXT="styles.subsubtopic" COLOR="#669900">
<font NAME="Liberation Sans" SIZE="10" BOLD="true"/>
</stylenode>
<stylenode LOCALIZED_TEXT="styles.important">
<icon BUILTIN="yes"/>
</stylenode>
</stylenode>
<stylenode LOCALIZED_TEXT="styles.AutomaticLayout" POSITION="right" STYLE="bubble">
<stylenode LOCALIZED_TEXT="AutomaticLayout.level.root" COLOR="#000000" STYLE="oval" SHAPE_HORIZONTAL_MARGIN="10.0 pt" SHAPE_VERTICAL_MARGIN="10.0 pt">
<font SIZE="18"/>
</stylenode>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,1" COLOR="#0033ff">
<font SIZE="16"/>
</stylenode>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,2" COLOR="#00b439">
<font SIZE="14"/>
</stylenode>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,3" COLOR="#990000">
<font SIZE="12"/>
</stylenode>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,4" COLOR="#111111">
<font SIZE="10"/>
</stylenode>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,5"/>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,6"/>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,7"/>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,8"/>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,9"/>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,10"/>
<stylenode LOCALIZED_TEXT="AutomaticLayout.level,11"/>
</stylenode>
</stylenode>
</map_styles>
</hook>
<node TEXT="Vis&#xe3;o Top-Down" FOLDED="true" POSITION="right" ID="ID_604482584" CREATED="1522621455171" MODIFIED="1522621464393">
<node TEXT="Vis&#xe3;o como extens&#xe3;o de uma m&#xe1;quina" FOLDED="true" ID="ID_509167429" CREATED="1522621482424" MODIFIED="1522621491935">
<node TEXT="Interface feia" FOLDED="true" ID="ID_508997954" CREATED="1522621550241" MODIFIED="1522621560115">
<node TEXT="Controlador" FOLDED="true" ID="ID_1857544366" CREATED="1522621562135" MODIFIED="1522621568029">
<node TEXT="&#xda;ltima camada de Hardware" FOLDED="true" ID="ID_1640515100" CREATED="1522621655786" MODIFIED="1522621662770">
<node TEXT="Pode possuir programa m&#xed;nimo instalado" ID="ID_855508492" CREATED="1522621663700" MODIFIED="1522635967574"/>
</node>
</node>
<node TEXT="Driver" FOLDED="true" ID="ID_376036236" CREATED="1522621568292" MODIFIED="1522621571325">
<node TEXT="Primeira camada de Software" FOLDED="true" ID="ID_200124413" CREATED="1522621684879" MODIFIED="1522621690954">
<node TEXT="Intermedia comunica&#xe7;&#xe3;o S.O.-Hw." ID="ID_100294971" CREATED="1522621692303" MODIFIED="1522621727079"/>
</node>
</node>
</node>
<node TEXT="Interface bonita" FOLDED="true" ID="ID_1684185977" CREATED="1522621573785" MODIFIED="1522621576907">
<node TEXT="Abstra&#xe7;&#xe3;o do sistema" FOLDED="true" ID="ID_1806058728" CREATED="1522621580993" MODIFIED="1522621586276">
<node TEXT="Modo de usu&#xe1;rio" FOLDED="true" ID="ID_1343796296" CREATED="1522621768076" MODIFIED="1522621791391">
<node TEXT="Camada submetida a restri&#xe7;&#xf5;es que garantem" FOLDED="true" ID="ID_1812655263" CREATED="1522621845542" MODIFIED="1522621895012">
<node TEXT="Seguran&#xe7;a" ID="ID_325804343" CREATED="1522621896739" MODIFIED="1522621900928"/>
<node TEXT="Confiabilidade" ID="ID_455801245" CREATED="1522621901386" MODIFIED="1522621906143"/>
<node TEXT="Desempenho" ID="ID_1780080179" CREATED="1522621906594" MODIFIED="1522621909460"/>
</node>
<node TEXT="Camada respons&#xe1;vel por execu&#xe7;&#xe3;o de programas do usu&#xe1;rio" ID="ID_629707785" CREATED="1522621955226" MODIFIED="1522622001328"/>
</node>
<node TEXT="Modo n&#xfa;cleo" FOLDED="true" ID="ID_1659573656" CREATED="1522621792103" MODIFIED="1522621795622">
<node TEXT="Acessado por meio de chamadas de sistema" FOLDED="true" ID="ID_761858174" CREATED="1522621811514" MODIFIED="1522621819415">
<node TEXT="Lista de SysCalls do" FOLDED="true" ID="ID_1533764121" CREATED="1522622034469" MODIFIED="1522622048673">
<node TEXT="POSIX(UNIX)" FOLDED="true" ID="ID_1753178865" CREATED="1522622049662" MODIFIED="1522622145363">
<node TEXT="Sistema de arquivos" FOLDED="true" ID="ID_613842207" CREATED="1522622056191" MODIFIED="1522622062325">
<node TEXT="mkdir" ID="ID_885575896" CREATED="1522635492656" MODIFIED="1522635493787"/>
<node TEXT="rmdir" ID="ID_1908573065" CREATED="1522635494323" MODIFIED="1522635497478"/>
<node TEXT="link" ID="ID_446971256" CREATED="1522635497828" MODIFIED="1522635498661"/>
<node TEXT="unlink" ID="ID_1554166407" CREATED="1522635503688" MODIFIED="1522635505247"/>
<node TEXT="mount" ID="ID_764447961" CREATED="1522635505429" MODIFIED="1522635506202"/>
<node TEXT="umount" ID="ID_388531746" CREATED="1522635509640" MODIFIED="1522635511049"/>
<node TEXT="chmod" ID="ID_170947826" CREATED="1522635564703" MODIFIED="1522635565972"/>
</node>
<node TEXT="Entrada e sa&#xed;da" FOLDED="true" ID="ID_769741889" CREATED="1522622063052" MODIFIED="1522622074470">
<node TEXT="open" ID="ID_1347261372" CREATED="1522622201000" MODIFIED="1522622201940"/>
<node TEXT="write" ID="ID_193777783" CREATED="1522622202266" MODIFIED="1522622203553"/>
<node TEXT="read" ID="ID_1803497374" CREATED="1522622203965" MODIFIED="1522622205062"/>
<node TEXT="close" ID="ID_116668204" CREATED="1522635477219" MODIFIED="1522635478311"/>
<node TEXT="lseek" ID="ID_1869635934" CREATED="1522635478662" MODIFIED="1522635483722"/>
<node TEXT="stat" ID="ID_1692887067" CREATED="1522635484003" MODIFIED="1522635484989"/>
</node>
<node TEXT="Processos e threads" FOLDED="true" ID="ID_1302308344" CREATED="1522622074704" MODIFIED="1522622079183">
<node TEXT="fork" ID="ID_737081458" CREATED="1522622206927" MODIFIED="1522622209325"/>
<node TEXT="waitpid" ID="ID_774038883" CREATED="1522635457449" MODIFIED="1522635459804"/>
<node TEXT="exit" ID="ID_1812195537" CREATED="1522635460099" MODIFIED="1522635466339"/>
<node TEXT="execve" ID="ID_1222547997" CREATED="1522635468119" MODIFIED="1522635470083"/>
<node TEXT="kill" ID="ID_1230433457" CREATED="1522635532272" MODIFIED="1522635533785"/>
</node>
<node TEXT="Outros" FOLDED="true" ID="ID_1137539149" CREATED="1522635539433" MODIFIED="1522635541065">
<node TEXT="time" ID="ID_1705581769" CREATED="1522635543298" MODIFIED="1522635545307"/>
<node TEXT="chdir" ID="ID_196682230" CREATED="1522635549719" MODIFIED="1522635551682"/>
</node>
</node>
<node TEXT="WIN32(Windows)" FOLDED="true" ID="ID_1473240045" CREATED="1522622051072" MODIFIED="1522622150871">
<node TEXT="Processos e threads" FOLDED="true" ID="ID_1211840001" CREATED="1522622084335" MODIFIED="1522622087500">
<node TEXT="createProcess" ID="ID_1578482738" CREATED="1522635586122" MODIFIED="1522635592979"/>
<node TEXT="WaitForSingleObject" ID="ID_1080696786" CREATED="1522635598599" MODIFIED="1522635603695"/>
<node TEXT="ExitProcess" ID="ID_633958039" CREATED="1522635604269" MODIFIED="1522635611062"/>
</node>
<node TEXT="Entrada e sa&#xed;da" FOLDED="true" ID="ID_378613792" CREATED="1522622088008" MODIFIED="1522622093678">
<node TEXT="CreateFile" ID="ID_890672100" CREATED="1522635635761" MODIFIED="1522635652973"/>
<node TEXT="CloseHandle" ID="ID_519034716" CREATED="1522635641161" MODIFIED="1522635656725"/>
<node TEXT="ReadFile" ID="ID_1159466401" CREATED="1522635657104" MODIFIED="1522635659498"/>
<node TEXT="WriteFile" ID="ID_254609281" CREATED="1522635660426" MODIFIED="1522635662259"/>
<node TEXT="SetFilePointer" ID="ID_1555476097" CREATED="1522635667434" MODIFIED="1522635670949"/>
<node TEXT="GetFileAttributesEx" ID="ID_1493697195" CREATED="1522635686535" MODIFIED="1522635694828"/>
</node>
<node TEXT="Sistema de arquivos" FOLDED="true" ID="ID_695474026" CREATED="1522622093959" MODIFIED="1522622098153">
<node TEXT="CreateDirectory" ID="ID_999368222" CREATED="1522635710604" MODIFIED="1522635714254"/>
<node TEXT="RemoveDirectory" ID="ID_1289662674" CREATED="1522635714975" MODIFIED="1522635718290"/>
<node TEXT="DeleteFile" ID="ID_787272529" CREATED="1522635718845" MODIFIED="1522635723950"/>
</node>
<node TEXT="Outros" FOLDED="true" ID="ID_678322359" CREATED="1522635741239" MODIFIED="1522635743000">
<node TEXT="SetCurrentDirectory" ID="ID_477835043" CREATED="1522635744304" MODIFIED="1522635748127"/>
<node TEXT="GetLocalTime" ID="ID_1837944251" CREATED="1522635761640" MODIFIED="1522635764585"/>
</node>
</node>
</node>
</node>
<node TEXT="Respons&#xe1;vel por acesso direto ao hardware" ID="ID_1065340657" CREATED="1522621828324" MODIFIED="1522621841441"/>
</node>
</node>
<node TEXT="Bibliotecas em C" FOLDED="true" ID="ID_1198333118" CREATED="1522621586460" MODIFIED="1522621595440">
<node TEXT="malloc" ID="ID_1472800153" CREATED="1522622125565" MODIFIED="1522622129140"/>
<node TEXT="pthread" ID="ID_584473968" CREATED="1522622129488" MODIFIED="1522622132666"/>
<node TEXT="fopen" ID="ID_1240399844" CREATED="1522622134318" MODIFIED="1522622162388"/>
<node TEXT="fread" ID="ID_1568067387" CREATED="1522622162763" MODIFIED="1522622165437"/>
<node TEXT="fwrite" ID="ID_1447761867" CREATED="1522622168816" MODIFIED="1522622171198"/>
<node TEXT="fork" ID="ID_780821221" CREATED="1522622189029" MODIFIED="1522622191327"/>
</node>
</node>
</node>
</node>
<node TEXT="Vis&#xe3;o Bottom-up" FOLDED="true" POSITION="left" ID="ID_1179638016" CREATED="1522621464551" MODIFIED="1522621469028">
<node TEXT="" ID="ID_1922082218" CREATED="1522621748216" MODIFIED="1522621748216">
<hook NAME="FirstGroupNode"/>
</node>
<node TEXT="Gerenciador de recursos" FOLDED="true" ID="ID_1046353377" CREATED="1522621470400" MODIFIED="1522621480395">
<node TEXT="Mem&#xf3;ria virtual" ID="ID_629820682" CREATED="1522621509275" MODIFIED="1522621521339"/>
<node TEXT="Sistema de arquivos" ID="ID_1980637492" CREATED="1522621521514" MODIFIED="1522621526327"/>
<node TEXT="Processos e threads" ID="ID_1340356721" CREATED="1522621526480" MODIFIED="1522621529639"/>
<node TEXT="Entrada e sa&#xed;da" ID="ID_598271948" CREATED="1522621529879" MODIFIED="1522621545021"/>
<node TEXT="Interpretador de comandos" ID="ID_1532731163" CREATED="1522635389001" MODIFIED="1522635394167"/>
</node>
<node TEXT="" ID="ID_1171535309" CREATED="1522621748214" MODIFIED="1522621748216">
<hook NAME="SummaryNode"/>
<hook NAME="AlwaysUnfoldedNode"/>
<node TEXT="Recursos" ID="ID_1509632258" CREATED="1522621748217" MODIFIED="1522621751843"/>
</node>
<node TEXT="Tipos de sistemas operacionais" FOLDED="true" ID="ID_1771875408" CREATED="1522638112894" MODIFIED="1522638131722">
<node TEXT="Monol&#xed;tico" FOLDED="true" ID="ID_131333132" CREATED="1522638133087" MODIFIED="1522638138093">
<node TEXT="&#xda;nico programa no modo n&#xfa;cleo" FOLDED="true" ID="ID_35641374" CREATED="1522638180061" MODIFIED="1522638186271">
<node TEXT="Programa principal executa rotina requerida" ID="ID_1678321268" CREATED="1522638139436" MODIFIED="1522638158420"/>
</node>
<node TEXT="Modo de usu&#xe1;rio" FOLDED="true" ID="ID_1516994447" CREATED="1522638291462" MODIFIED="1522638296596">
<node TEXT="Conjunto de rotinas de servi&#xe7;o" FOLDED="true" ID="ID_1835708235" CREATED="1522638188426" MODIFIED="1522638221398">
<node TEXT="Executam chamadas de sistema" ID="ID_876563931" CREATED="1522638222341" MODIFIED="1522638228429"/>
</node>
<node TEXT="Conjunto de rotinas de utilidade" FOLDED="true" ID="ID_1717440484" CREATED="1522638229424" MODIFIED="1522638235731">
<node TEXT="Auxiliam Conjunto de rotinas de servi&#xe7;o" ID="ID_1600048398" CREATED="1522638236878" MODIFIED="1522638244233"/>
</node>
</node>
</node>
<node TEXT="Sistema de camadas" FOLDED="true" ID="ID_1343174071" CREATED="1522638612372" MODIFIED="1522638615772">
<node TEXT="Camadas que apenas se comunicam com vizinhan&#xe7;a" ID="ID_1263703763" CREATED="1522639329116" MODIFIED="1522639361357"/>
<node TEXT="Divis&#xe3;o de camadas" FOLDED="true" ID="ID_1715878966" CREATED="1522639365480" MODIFIED="1522639369831">
<node TEXT="Aloca&#xe7;&#xe3;o da CPU e multiprograma&#xe7;&#xe3;o" ID="ID_1452205988" CREATED="1522639371380" MODIFIED="1522639379432"/>
<node TEXT="Mem&#xf3;ria e gerenciamento do Hw do HD" ID="ID_227994354" CREATED="1522639380187" MODIFIED="1522639402401"/>
<node TEXT="Comunica&#xe7;&#xe3;o Processo-Operador" ID="ID_409741439" CREATED="1522639403113" MODIFIED="1522639410687"/>
<node TEXT="Gerenciamento de E/S" ID="ID_523159769" CREATED="1522639411166" MODIFIED="1522639421986"/>
<node TEXT="Programas de usu&#xe1;rio" ID="ID_329147008" CREATED="1522639422458" MODIFIED="1522639427973"/>
<node TEXT="Shell/Operador" ID="ID_302263751" CREATED="1522639428968" MODIFIED="1522639436583"/>
</node>
</node>
<node TEXT="Micron&#xfa;cleo" FOLDED="true" ID="ID_936130894" CREATED="1522639320700" MODIFIED="1522639325105">
<node TEXT="Modo de usu&#xe1;rio" FOLDED="true" ID="ID_1550979870" CREATED="1522639750853" MODIFIED="1522639755814">
<node TEXT="Sistema Operacional &#xe9; dividido/separado em pol&#xed;ticas" FOLDED="true" ID="ID_360048464" CREATED="1522638063057" MODIFIED="1522638083419">
<node TEXT="Pol&#xed;ticas" FOLDED="true" ID="ID_595945909" CREATED="1522639686330" MODIFIED="1522639694145">
<node TEXT="Processos" ID="ID_1025298615" CREATED="1522639648608" MODIFIED="1522639653147"/>
<node TEXT="Programas de Usu&#xe1;rio" ID="ID_692785296" CREATED="1522639661205" MODIFIED="1522639665574"/>
<node TEXT="Servidores" ID="ID_1827399550" CREATED="1522639666004" MODIFIED="1522639669201"/>
<node TEXT="Drivers" ID="ID_1852731377" CREATED="1522639669373" MODIFIED="1522639671476"/>
</node>
<node TEXT="Mecanismos permitem execu&#xe7;&#xe3;o de pol&#xed;ticas" FOLDED="true" ID="ID_573260427" CREATED="1522639454450" MODIFIED="1522639467576">
<node TEXT="Mecanismos" FOLDED="true" ID="ID_1275146793" CREATED="1522639724143" MODIFIED="1522639726178">
<node TEXT="Shell" ID="ID_1814216888" CREATED="1522639728210" MODIFIED="1522639730010"/>
<node TEXT="Fazer" ID="ID_610913888" CREATED="1522639730514" MODIFIED="1522639732533"/>
<node TEXT="File System" ID="ID_1611138863" CREATED="1522639732855" MODIFIED="1522639735061"/>
<node TEXT="Disco" ID="ID_1760475447" CREATED="1522639735286" MODIFIED="1522639737488"/>
<node TEXT="Rede" ID="ID_1346669913" CREATED="1522639738020" MODIFIED="1522639739252"/>
<node TEXT="..." ID="ID_1452644224" CREATED="1522639740148" MODIFIED="1522639741144"/>
</node>
</node>
</node>
</node>
<node TEXT="Modo n&#xfa;cleo" FOLDED="true" ID="ID_516580734" CREATED="1522639762374" MODIFIED="1522639765578">
<node TEXT="Micron&#xfa;cleo respons&#xe1;vel por" FOLDED="true" ID="ID_1756007263" CREATED="1522639766760" MODIFIED="1522639774764">
<node TEXT="Controle de interrup&#xe7;&#xf5;es" ID="ID_856817410" CREATED="1522639775878" MODIFIED="1522639787785"/>
<node TEXT="Escalonamento" ID="ID_1991700533" CREATED="1522639788192" MODIFIED="1522639791999"/>
<node TEXT="Processos" ID="ID_363983828" CREATED="1522639792863" MODIFIED="1522639801543"/>
<node TEXT="IPC" ID="ID_473120015" CREATED="1522639804300" MODIFIED="1522639808552"/>
</node>
</node>
</node>
</node>
</node>
<node TEXT="Processos e threads" FOLDED="true" POSITION="right" ID="ID_664770861" CREATED="1522622239400" MODIFIED="1522657094106">
<node TEXT="Tipos de sistemas" FOLDED="true" ID="ID_1563463699" CREATED="1522623247434" MODIFIED="1522651583588">
<node TEXT="Sistemas multiprogramas" FOLDED="true" ID="ID_425226151" CREATED="1522622245616" MODIFIED="1522622329206">
<node TEXT="Multithreads" FOLDED="true" ID="ID_289981050" CREATED="1522622295323" MODIFIED="1522622304255">
<node TEXT="Thread de usu&#xe1;rio" FOLDED="true" ID="ID_1312259407" CREATED="1522622305309" MODIFIED="1522622308011">
<node TEXT="Tabela de processos gerenciada pelo programa do modo usu&#xe1;rio" ID="ID_1886473906" CREATED="1522622418320" MODIFIED="1522622451226"/>
</node>
<node TEXT="Thread de n&#xfa;cleo" FOLDED="true" ID="ID_730789887" CREATED="1522622308570" MODIFIED="1522622311623">
<node TEXT="Tabela de processos gerenciada por n&#xfa;cleo" ID="ID_792750008" CREATED="1522622453864" MODIFIED="1522622464745"/>
</node>
<node TEXT="Thread h&#xed;brido" FOLDED="true" ID="ID_1712841152" CREATED="1522622467298" MODIFIED="1522622471551">
<node TEXT="Tabela de processos gerenciada por n&#xfa;cleo &#xe9; um subconjunto dos processos na tabela de processos localizada dentro dos processos" ID="ID_150079468" CREATED="1522622472622" MODIFIED="1522622503538"/>
</node>
</node>
<node TEXT="Multin&#xfa;cleo" FOLDED="true" ID="ID_938632767" CREATED="1522622318044" MODIFIED="1522622321760">
<node TEXT="Capacidade de execu&#xe7;&#xe3;o simult&#xe2;nea de aplica&#xe7;&#xf5;es" FOLDED="true" ID="ID_1252000400" CREATED="1522622514716" MODIFIED="1522622528264">
<node TEXT="Paralelismo real" ID="ID_98481820" CREATED="1522622529112" MODIFIED="1522622533628"/>
</node>
</node>
<node TEXT="Execu&#xe7;&#xe3;o de muitos programas/processos" FOLDED="true" ID="ID_1243796494" CREATED="1522622719585" MODIFIED="1522622767291">
<node TEXT="Se baseia na troca de contexto" FOLDED="true" ID="ID_790130573" CREATED="1522622744212" MODIFIED="1522622746835">
<node TEXT="Car&#xed;ssima gra&#xe7;as a troca constante de valores em registradores perdendo aproveitamento de cache" ID="ID_223063415" CREATED="1522636620014" MODIFIED="1522636651125"/>
</node>
<node TEXT="Problema na comunica&#xe7;&#xe3;o entre processos" ID="ID_808182671" CREATED="1522622749828" MODIFIED="1522622762281"/>
</node>
<node TEXT="\latex Uso de $CPU = 1 - p^n$" ID="ID_1559833983" CREATED="1522652598767" MODIFIED="1522652629444"/>
</node>
<node TEXT="Sistema monoprograma" FOLDED="true" ID="ID_924807520" CREATED="1522622338535" MODIFIED="1522622344927">
<node TEXT="DOS" FOLDED="true" ID="ID_39774843" CREATED="1522622538020" MODIFIED="1522622542664">
<node TEXT="Pode possui programas que implementam Thread de usu&#xe1;rio" FOLDED="true" ID="ID_598391186" CREATED="1522622544407" MODIFIED="1522622555834">
<node TEXT="Como o Windows 3.11" ID="ID_812027361" CREATED="1522622557482" MODIFIED="1522685822351"/>
</node>
</node>
</node>
</node>
<node TEXT="Trap vs Interrup&#xe7;&#xe3;o" FOLDED="true" ID="ID_1775183093" CREATED="1522652324288" MODIFIED="1522652330331">
<node TEXT="Trap" FOLDED="true" ID="ID_132114171" CREATED="1522652331724" MODIFIED="1522652333244">
<node TEXT="Chaveamento de execu&#xe7;&#xe3;o para o modo n&#xfa;cleo" ID="ID_916261016" CREATED="1522652338617" MODIFIED="1522652514621"/>
<node TEXT="&#xc9; s&#xed;ncrona" FOLDED="true" ID="ID_879616695" CREATED="1522652357016" MODIFIED="1522652361910">
<node TEXT="Acontece num determinado ponto do c&#xf3;digo" ID="ID_903929331" CREATED="1522652362701" MODIFIED="1522652376080"/>
<node TEXT="Retorna para o ponto logo em seguida" ID="ID_793160218" CREATED="1522652408291" MODIFIED="1522652417971"/>
</node>
</node>
<node TEXT="Interrup&#xe7;&#xe3;o" FOLDED="true" ID="ID_292618604" CREATED="1522652333523" MODIFIED="1522652336011">
<node TEXT="&#xc9; ass&#xed;ncrona" FOLDED="true" ID="ID_714237649" CREATED="1522652382346" MODIFIED="1522652390852">
<node TEXT="Pode acontecer num determinado ponto do c&#xf3;digo" ID="ID_176166490" CREATED="1522652422603" MODIFIED="1522652435138"/>
<node TEXT="Escalonador deve bloquear processo at&#xe9; fim da interrup&#xe7;&#xe3;o" ID="ID_1869626406" CREATED="1522652436502" MODIFIED="1522652463442"/>
</node>
<node TEXT="Pode provir de" FOLDED="true" ID="ID_702320019" CREATED="1522652467672" MODIFIED="1522652479521">
<node TEXT="outro processo" ID="ID_804110616" CREATED="1522652480540" MODIFIED="1522652481754"/>
<node TEXT="E/S" ID="ID_1360411758" CREATED="1522652482026" MODIFIED="1522652487112"/>
<node TEXT="Escalonamento" ID="ID_1221129911" CREATED="1522652500498" MODIFIED="1522652503608"/>
</node>
</node>
</node>
<node TEXT="Processos" FOLDED="true" ID="ID_753910202" CREATED="1522651547259" MODIFIED="1522651549469">
<node TEXT="Cria&#xe7;&#xe3;o" FOLDED="true" ID="ID_1402673875" CREATED="1522651646644" MODIFIED="1522651648088">
<node TEXT="Inicializa&#xe7;&#xe3;o" FOLDED="true" ID="ID_1490992058" CREATED="1522651650494" MODIFIED="1522651673179">
<node TEXT="Daemon(Segundo Plano)" ID="ID_1829934521" CREATED="1522651674233" MODIFIED="1522651686882"/>
<node TEXT="Primeiro plano" ID="ID_1579573659" CREATED="1522651676480" MODIFIED="1522651681284"/>
</node>
<node TEXT="Chamada de sistema por outro processo" ID="ID_1581421370" CREATED="1522651691663" MODIFIED="1522651700615"/>
<node TEXT="Requisi&#xe7;&#xe3;o do usu&#xe1;rio" ID="ID_37465658" CREATED="1522651706243" MODIFIED="1522651711248"/>
<node TEXT="Inicializa&#xe7;&#xe3;o de tarefa em lotes" ID="ID_1934212576" CREATED="1522651715864" MODIFIED="1522651722660"/>
</node>
<node TEXT="T&#xe9;rmino" FOLDED="true" ID="ID_1996159619" CREATED="1522651724051" MODIFIED="1522651729394">
<node TEXT="" ID="ID_1607271141" CREATED="1522651787289" MODIFIED="1522651787290">
<hook NAME="FirstGroupNode"/>
</node>
<node TEXT="Sa&#xed;da" FOLDED="true" ID="ID_20926810" CREATED="1522651730254" MODIFIED="1522651741048">
<node TEXT="Normal" ID="ID_488094137" CREATED="1522651741854" MODIFIED="1522651743688"/>
<node TEXT="Por erro" ID="ID_1184286219" CREATED="1522651743853" MODIFIED="1522651746981"/>
</node>
<node TEXT="" ID="ID_865936615" CREATED="1522651787286" MODIFIED="1522651787288">
<hook NAME="SummaryNode"/>
<hook NAME="AlwaysUnfoldedNode"/>
<node TEXT="Volunt&#xe1;rio" ID="ID_1387738370" CREATED="1522651787290" MODIFIED="1522651792625"/>
</node>
<node TEXT="" ID="ID_1018088557" CREATED="1522651808982" MODIFIED="1522651808982">
<hook NAME="FirstGroupNode"/>
</node>
<node TEXT="Erro fatal" ID="ID_1445047054" CREATED="1522651751404" MODIFIED="1522651754041"/>
<node TEXT="Cancelamento por outro processo" ID="ID_1960645476" CREATED="1522651758561" MODIFIED="1522651768177"/>
<node TEXT="" ID="ID_44473987" CREATED="1522651808980" MODIFIED="1522651808981">
<hook NAME="SummaryNode"/>
<hook NAME="AlwaysUnfoldedNode"/>
<node TEXT="Involunt&#xe1;rio" ID="ID_1307832431" CREATED="1522651808982" MODIFIED="1522651817479"/>
</node>
</node>
<node TEXT="Hierarquia" FOLDED="true" ID="ID_241784758" CREATED="1522651845991" MODIFIED="1522651848888">
<node TEXT="UNIX" FOLDED="true" ID="ID_1777112218" CREATED="1522651858097" MODIFIED="1522651861336">
<node TEXT="Grupo de processos" ID="ID_287904100" CREATED="1522651862096" MODIFIED="1522651865252"/>
</node>
<node TEXT="Windows" FOLDED="true" ID="ID_3524487" CREATED="1522651866092" MODIFIED="1522651868192">
<node TEXT="N&#xe3;o possui hierarquia de processos" ID="ID_1739219160" CREATED="1522651868679" MODIFIED="1522651875312"/>
</node>
<node TEXT="Pai cria processo filho" ID="ID_383945740" CREATED="1522651875904" MODIFIED="1522651880940"/>
</node>
<node TEXT="Estados" FOLDED="true" ID="ID_1733686604" CREATED="1522652073831" MODIFIED="1522652075617">
<node TEXT="" ID="ID_1747922005" CREATED="1522652076861" MODIFIED="1522652091142">
<hook URI="hierarquia-processos.png" SIZE="1.0" NAME="ExternalObject"/>
</node>
</node>
<node TEXT="Escalonador" FOLDED="true" ID="ID_1479716122" CREATED="1522652133792" MODIFIED="1522652136902">
<node TEXT="Gerencia processos" FOLDED="true" ID="ID_1662625132" CREATED="1522652137763" MODIFIED="1522652148724">
<node TEXT="Interrup&#xe7;&#xf5;es" ID="ID_1448398957" CREATED="1522652149623" MODIFIED="1522652152441"/>
<node TEXT="Escalonamento" ID="ID_457745488" CREATED="1522652152911" MODIFIED="1522652156618"/>
</node>
</node>
<node TEXT="Tabela de Processos" FOLDED="true" ID="ID_1115937358" CREATED="1522652158579" MODIFIED="1522652164796">
<node TEXT="" ID="ID_647674697" CREATED="1522652191346" MODIFIED="1522652205500">
<hook URI="tabela-processos.png" SIZE="0.525394" NAME="ExternalObject"/>
</node>
</node>
<node TEXT="Compartilham" FOLDED="true" ID="ID_1736287474" CREATED="1522652692199" MODIFIED="1522652694364">
<node TEXT="Espa&#xe7;o f&#xed;sico de mem&#xf3;ria" ID="ID_697873631" CREATED="1522652696272" MODIFIED="1522652707874"/>
<node TEXT="Disco" ID="ID_957118788" CREATED="1522652708079" MODIFIED="1522652709601"/>
<node TEXT="Impressoras" ID="ID_1278201415" CREATED="1522652709807" MODIFIED="1522652717787"/>
</node>
</node>
<node TEXT="Thread" FOLDED="true" ID="ID_106775988" CREATED="1522622350095" MODIFIED="1522622399322">
<node TEXT="POSIX" FOLDED="true" ID="ID_888022019" CREATED="1522653111075" MODIFIED="1522653113168">
<node TEXT="" ID="ID_416815160" CREATED="1522653161779" MODIFIED="1522653256018">
<hook URI="pthread1.png" SIZE="0.3248685" NAME="ExternalObject"/>
</node>
<node TEXT="" ID="ID_835676058" CREATED="1522653162320" MODIFIED="1522653277574">
<hook URI="mutex-pthread.png" SIZE="0.28475937" NAME="ExternalObject"/>
</node>
<node TEXT="" ID="ID_663794846" CREATED="1522653243819" MODIFIED="1522653299042">
<hook URI="cond-pthread.png" SIZE="0.31854624" NAME="ExternalObject"/>
</node>
</node>
<node TEXT="Processo leve(barato)" FOLDED="true" ID="ID_276638050" CREATED="1522622400748" MODIFIED="1522622407683">
<node TEXT="Mais f&#xe1;ceis de criar e destruir" FOLDED="true" ID="ID_646678181" CREATED="1522652766300" MODIFIED="1522652771895">
<node TEXT="N&#xe3;o possuem recursos associados a eles" ID="ID_466079391" CREATED="1522652772725" MODIFIED="1522652789678"/>
</node>
</node>
<node TEXT="&#xda;teis quando se tem paralelismo real" ID="ID_427474428" CREATED="1522652813569" MODIFIED="1522652823143"/>
<node TEXT="Executam concorrentemente em um processo" ID="ID_615441893" CREATED="1522652669488" MODIFIED="1522652680453"/>
<node TEXT="Em aplica&#xe7;&#xf5;es dirigidas &#xe0; E/S" FOLDED="true" ID="ID_1610301617" CREATED="1522652859057" MODIFIED="1522652874254">
<node TEXT="permitem que atividades se sobreponham" ID="ID_745639869" CREATED="1522652875423" MODIFIED="1522652886718"/>
</node>
<node TEXT="Compartilham" FOLDED="true" ID="ID_1478402147" CREATED="1522652720725" MODIFIED="1522652724860">
<node TEXT="Espa&#xe7;o de endere&#xe7;amento" ID="ID_88535826" CREATED="1522652727687" MODIFIED="1522652736690"/>
<node TEXT="Arquivos abertos" ID="ID_644184607" CREATED="1522652737277" MODIFIED="1522652743726"/>
</node>
<node TEXT="Tipos de Threads" FOLDED="true" ID="ID_1521394169" CREATED="1522653405308" MODIFIED="1522653409818">
<node TEXT="Usu&#xe1;rio" FOLDED="true" ID="ID_1019075824" CREATED="1522653411805" MODIFIED="1522653415077">
<node TEXT="Vantagens" FOLDED="true" ID="ID_1996162412" CREATED="1522653495355" MODIFIED="1522653497057">
<node TEXT="Independente de SO" ID="ID_203045877" CREATED="1522653565495" MODIFIED="1522653569862"/>
<node TEXT="Thread de ger&#xea;ncia barata" FOLDED="true" ID="ID_103624107" CREATED="1522653570097" MODIFIED="1522653585592">
<node TEXT="Menos trocas para o modo n&#xfa;cleo" ID="ID_1802111029" CREATED="1522653590088" MODIFIED="1522653623014"/>
</node>
<node TEXT="Cada processo pode ter seu algoritmo de escalonamento personalizado" ID="ID_1376268249" CREATED="1522653643370" MODIFIED="1522653653803"/>
</node>
<node TEXT="Desvantagens" FOLDED="true" ID="ID_1415935546" CREATED="1522653497794" MODIFIED="1522653499989">
<node TEXT="Chamadas de sistema bloqueantes" ID="ID_463315758" CREATED="1522653502465" MODIFIED="1522653507833"/>
<node TEXT="Cada processo possui um sistema supervisor" FOLDED="true" ID="ID_1622007872" CREATED="1522653515861" MODIFIED="1522653556586">
<node TEXT="Que por sua vez possui uma tabela de threads" ID="ID_482436129" CREATED="1522653536045" MODIFIED="1522653543998"/>
</node>
<node TEXT="Cada thread precisa ceder voluntariamente a CPU" ID="ID_1653617451" CREATED="1522653688550" MODIFIED="1522653696132"/>
</node>
</node>
<node TEXT="N&#xfa;cleo" FOLDED="true" ID="ID_786656813" CREATED="1522653415460" MODIFIED="1522653418319">
<node TEXT="Vantagens" FOLDED="true" ID="ID_1705278227" CREATED="1522653706876" MODIFIED="1522653708884">
<node TEXT="N&#xe3;o precisa de sistema supervisor" ID="ID_348128889" CREATED="1522653771920" MODIFIED="1522653785026"/>
<node TEXT="Chamadas de sistema n&#xe3;o bloqueantes" ID="ID_42964158" CREATED="1522653793726" MODIFIED="1522653799644"/>
</node>
<node TEXT="Desvantagens" FOLDED="true" ID="ID_1928332468" CREATED="1522653709065" MODIFIED="1522653712150">
<node TEXT="Custo alto de cria&#xe7;&#xe3;o" FOLDED="true" ID="ID_1520787444" CREATED="1522653714821" MODIFIED="1522653724629">
<node TEXT="Chamda de sistema para alter&#xe7;&#xe3;o na tabela de threads" ID="ID_1048529887" CREATED="1522653725546" MODIFIED="1522653734032"/>
</node>
<node TEXT="Fun&#xe7;&#xf5;es de gerenciamento de threads s&#xe3;o chamadas de sistema" ID="ID_1637966747" CREATED="1522653753933" MODIFIED="1522653768224"/>
<node TEXT="Depende de SO" ID="ID_1202742854" CREATED="1522653787954" MODIFIED="1522653790412"/>
</node>
<node TEXT="Tabela de threads encontradas no n&#xfa;cleo" ID="ID_1774298823" CREATED="1522653810656" MODIFIED="1522653819388"/>
</node>
<node TEXT="H&#xed;brida" FOLDED="true" ID="ID_536591092" CREATED="1522653835065" MODIFIED="1522653840567">
<node TEXT="Multiplexa&#xe7;&#xe3;o dos threads de usu&#xe1;rio por threads de n&#xfa;cleo" FOLDED="true" ID="ID_1974969081" CREATED="1522653847667" MODIFIED="1522653859348">
<node TEXT="Evita transi&#xe7;&#xf5;es modo n&#xfa;cleo/usu&#xe1;rio desnecess&#xe1;rias" ID="ID_1219742677" CREATED="1522653860638" MODIFIED="1522653901499"/>
<node TEXT="bloqueio de thread &#xe9; notificado a supervisor por n&#xfa;cleo" FOLDED="true" ID="ID_176491505" CREATED="1522653909923" MODIFIED="1522653934815">
<node TEXT="supervisor reescalona os threads" ID="ID_807429428" CREATED="1522653938981" MODIFIED="1522653950015"/>
</node>
</node>
</node>
</node>
<node TEXT="Errno" FOLDED="true" ID="ID_1339710935" CREATED="1522653964479" MODIFIED="1522653968436">
<node TEXT="Vari&#xe1;vel global usada por threads para indicar erro" ID="ID_545171989" CREATED="1522653969815" MODIFIED="1522654110218"/>
</node>
</node>
<node TEXT="Comunica&#xe7;&#xe3;o Interprocessos" FOLDED="true" ID="ID_791750484" CREATED="1522622627139" MODIFIED="1522654260605">
<node TEXT="Regi&#xe3;o/Se&#xe7;&#xe3;o cr&#xed;tica" ID="ID_1764666710" CREATED="1522654275232" MODIFIED="1522654399928"/>
<node TEXT="Exclus&#xe3;o m&#xfa;tua" FOLDED="true" ID="ID_904162775" CREATED="1522654278648" MODIFIED="1522654289461">
<node TEXT="Implementa&#xe7;&#xf5;es" FOLDED="true" ID="ID_211925381" CREATED="1522655242597" MODIFIED="1522655245067">
<node TEXT="solu&#xe7;&#xf5;es falhas do passado" FOLDED="true" ID="ID_364806678" CREATED="1522622643958" MODIFIED="1522654367138">
<node TEXT="Vari&#xe1;vel lock" FOLDED="true" ID="ID_556135318" CREATED="1522654267141" MODIFIED="1522654270751">
<node TEXT="Disputa de acesso a vari&#xe1;vel lock" ID="ID_314899357" CREATED="1522654773129" MODIFIED="1522654788848"/>
</node>
<node TEXT="Altern&#xe2;ncia obrigat&#xf3;ria" FOLDED="true" ID="ID_1672744705" CREATED="1522654300103" MODIFIED="1522654305424">
<node TEXT="Um processo fora da regi&#xe3;o cr&#xed;tica pode bloquear outro em regi&#xe3;o cr&#xed;tica" ID="ID_163273486" CREATED="1522654752352" MODIFIED="1522654770276"/>
</node>
<node TEXT="Instru&#xe7;&#xf5;es especiais (HL) de Hardware" ID="ID_1649495673" CREATED="1522654314970" MODIFIED="1522654329663"/>
<node TEXT="Durma/executa" ID="ID_842526119" CREATED="1522654332100" MODIFIED="1522654335188"/>
</node>
<node TEXT="Sem&#xe1;foros" FOLDED="true" ID="ID_230577524" CREATED="1522622639666" MODIFIED="1522622642826">
<node TEXT="instru&#xe7;&#xf5;es at&#xf4;micas" FOLDED="true" ID="ID_1004210498" CREATED="1522622652692" MODIFIED="1522654476277">
<node TEXT="N&#xe3;o podem ser particionadas entre contextos" ID="ID_554769246" CREATED="1522622692553" MODIFIED="1522622703218"/>
<node TEXT="Up" FOLDED="true" ID="ID_100620672" CREATED="1522654479840" MODIFIED="1522654492341">
<node TEXT="Se sem&#xe1;foro est&#xe1; bloqueado, ent&#xe3;o desbloqueia" ID="ID_720244567" CREATED="1522654501090" MODIFIED="1522654570705"/>
<node TEXT="Caso contr&#xe1;rio aumenta" ID="ID_1740243547" CREATED="1522654525647" MODIFIED="1522654578145"/>
</node>
<node TEXT="Down" FOLDED="true" ID="ID_375351928" CREATED="1522654492900" MODIFIED="1522654493831">
<node TEXT="Se sem&#xe1;foro &#xe9; 0, ent&#xe3;o bloqueia" ID="ID_141916907" CREATED="1522654535656" MODIFIED="1522654551522"/>
<node TEXT="Sen&#xe3;o descresce valor" ID="ID_1201560714" CREATED="1522654553018" MODIFIED="1522654559638"/>
</node>
</node>
<node TEXT="Exclus&#xe3;o m&#xfa;tua(mutex)" ID="ID_1795562353" CREATED="1522654438327" MODIFIED="1522654461167"/>
<node TEXT="Sincroniza&#xe7;&#xe3;o(full/empty)" ID="ID_151069331" CREATED="1522654442559" MODIFIED="1522654455617"/>
</node>
<node TEXT="Outras tecnologias existentes" FOLDED="true" ID="ID_1177952603" CREATED="1522654368390" MODIFIED="1522654382383">
<node TEXT="Monitores" FOLDED="true" ID="ID_1212290566" CREATED="1522654383845" MODIFIED="1522654410712">
<node TEXT="Constru&#xe7;&#xe3;o de alto n&#xed;vel de linguagens de programa&#xe7;&#xe3;o" FOLDED="true" ID="ID_1165554445" CREATED="1522654935007" MODIFIED="1522654974515">
<node TEXT="Apenas um processo ocorre em um dado momento em um monitor" ID="ID_422093990" CREATED="1522654979608" MODIFIED="1522654991087"/>
<node TEXT="Java" FOLDED="true" ID="ID_943213273" CREATED="1522654991959" MODIFIED="1522654993184">
<node TEXT="palavra-chave synchronized em fun&#xe7;&#xf5;es de monitor" ID="ID_1440091856" CREATED="1522654995808" MODIFIED="1522655019799"/>
</node>
</node>
</node>
<node TEXT="Troca de mensagens" FOLDED="true" ID="ID_230535435" CREATED="1522654412946" MODIFIED="1522654419442">
<node TEXT="chamadas ao sistema" FOLDED="true" ID="ID_764629290" CREATED="1522655063276" MODIFIED="1522655067239">
<node TEXT="send" ID="ID_876403034" CREATED="1522655067924" MODIFIED="1522655068900"/>
<node TEXT="receive" ID="ID_1480330815" CREATED="1522655069079" MODIFIED="1522655070177"/>
</node>
<node TEXT="podem ser usadas em m&#xe1;quinas distintas" ID="ID_1689674401" CREATED="1522655080757" MODIFIED="1522655087366"/>
<node TEXT="confirma&#xe7;&#xe3;o de recebimento" FOLDED="true" ID="ID_1557337885" CREATED="1522655094719" MODIFIED="1522655099198">
<node TEXT="se n&#xe3;o recebida ocorre o reenvio" ID="ID_1323324790" CREATED="1522655100014" MODIFIED="1522655106561"/>
</node>
<node TEXT="mais lenta que monitores e sem&#xe1;foros" ID="ID_1762338610" CREATED="1522655114002" MODIFIED="1522655122455"/>
</node>
<node TEXT="Barreira" FOLDED="true" ID="ID_1114278388" CREATED="1522654410941" MODIFIED="1522654412750">
<node TEXT="" ID="ID_341577132" CREATED="1522655188218" MODIFIED="1522655199800">
<hook URI="barreira.png" SIZE="0.47567624" NAME="ExternalObject"/>
</node>
</node>
</node>
</node>
</node>
</node>
<node TEXT="Escalonamento" FOLDED="true" ID="ID_1469575758" CREATED="1522623226177" MODIFIED="1522623229981">
<node TEXT="Forma de ger&#xea;ncia de processo" FOLDED="true" ID="ID_674176910" CREATED="1522623289554" MODIFIED="1522623312250">
<node TEXT="Tipos de algoritmos" FOLDED="true" ID="ID_1916942674" CREATED="1522655301917" MODIFIED="1522655306376">
<node TEXT="Preemptivos" FOLDED="true" ID="ID_249524878" CREATED="1522655307515" MODIFIED="1522655309902">
<node TEXT="Tempo m&#xe1;ximo de uso de CPU por processo estabelecido" ID="ID_58783417" CREATED="1522655352622" MODIFIED="1522655371791" MAX_WIDTH="287.6165077963435 pt" MIN_WIDTH="287.6165077963435 pt"/>
</node>
<node TEXT="N&#xe3;o preemptivos" FOLDED="true" ID="ID_458392023" CREATED="1522655310039" MODIFIED="1522655313834">
<node TEXT="Processo tem a liberdade de decidir quando libera CPU" ID="ID_1403269405" CREATED="1522655315040" MODIFIED="1522655370013" MAX_WIDTH="277.62982350199303 pt" MIN_WIDTH="277.62982350199303 pt"/>
</node>
<node TEXT="Tipos de sistemas" FOLDED="true" ID="ID_783411505" CREATED="1522623315808" MODIFIED="1522623323694">
<node TEXT="Blocos" FOLDED="true" ID="ID_778787958" CREATED="1522623332056" MODIFIED="1522623339309">
<node TEXT="N&#xe3;o existem usu&#xe1;rios esperando" FOLDED="true" ID="ID_1718535756" CREATED="1522623359108" MODIFIED="1522655414231">
<node TEXT="N&#xe3;o preemptivos" ID="ID_846263998" CREATED="1522655420437" MODIFIED="1522655423865"/>
<node TEXT="Preemptivos por um longo tempo" ID="ID_1643647819" CREATED="1522655424043" MODIFIED="1522655430136"/>
</node>
</node>
<node TEXT="Interactive" FOLDED="true" ID="ID_42747511" CREATED="1522623339769" MODIFIED="1522623350351">
<node TEXT="Muito processo dirigido a E/S" FOLDED="true" ID="ID_609263522" CREATED="1522623369963" MODIFIED="1522623378554">
<node TEXT="Preemp&#xe7;&#xe3;o importante" FOLDED="true" ID="ID_1370099498" CREATED="1522655453545" MODIFIED="1522655476911">
<node TEXT="para evitar posse de CPU por um processo" FOLDED="true" ID="ID_798079614" CREATED="1522655478021" MODIFIED="1522655480053">
<node TEXT="negando servi&#xe7;o a outros" ID="ID_1421616909" CREATED="1522655492315" MODIFIED="1522655496938"/>
</node>
</node>
</node>
</node>
<node TEXT="Real time" FOLDED="true" ID="ID_205525424" CREATED="1522623325347" MODIFIED="1522623330452">
<node TEXT="Espera-se respostas instant&#xe2;neas" FOLDED="true" ID="ID_1075984047" CREATED="1522623389060" MODIFIED="1522623408707">
<node TEXT="Pode admitir atrasos ou n&#xe3;o" ID="ID_551452434" CREATED="1522623409881" MODIFIED="1522623440030"/>
</node>
<node TEXT="Preemp&#xe7;&#xe3;o desnecess&#xe1;ria" FOLDED="true" ID="ID_1094016616" CREATED="1522655511099" MODIFIED="1522655517847">
<node TEXT="Processos costumam saber que n&#xe3;o podem apossar-se da CPU" ID="ID_1502676411" CREATED="1522655518766" MODIFIED="1522655536495"/>
</node>
</node>
</node>
<node TEXT="Objetivos" FOLDED="true" ID="ID_1125842680" CREATED="1522655593837" MODIFIED="1522655599651">
<node TEXT="Geral" FOLDED="true" ID="ID_874195837" CREATED="1522655601306" MODIFIED="1522655605722">
<node TEXT="Justi&#xe7;a" FOLDED="true" ID="ID_1337888406" CREATED="1522655606798" MODIFIED="1522655617387">
<node TEXT="cada processo possui por&#xe7;&#xe3;o justa da CPU" ID="ID_1309858444" CREATED="1522655719070" MODIFIED="1522655730534"/>
</node>
<node TEXT="Aplica&#xe7;&#xe3;o da pol&#xed;tica" FOLDED="true" ID="ID_97739512" CREATED="1522655617549" MODIFIED="1522655623123">
<node TEXT="pol&#xed;tica estabelecida &#xe9; cumprida" ID="ID_416569320" CREATED="1522655734786" MODIFIED="1522655740579"/>
</node>
<node TEXT="Equil&#xed;brio" FOLDED="true" ID="ID_764303805" CREATED="1522655623266" MODIFIED="1522655627608">
<node TEXT="manter ocupadas todas as partes do sistema" ID="ID_274362179" CREATED="1522655743360" MODIFIED="1522655751055"/>
</node>
</node>
<node TEXT="Lotes" FOLDED="true" ID="ID_129260007" CREATED="1522655632008" MODIFIED="1522655633551">
<node TEXT="Vaz&#xe3;o" FOLDED="true" ID="ID_1915499655" CREATED="1522655634583" MODIFIED="1522655638191">
<node TEXT="maximiza n&#xfa;mero de tarefas por hora" ID="ID_1352915006" CREATED="1522655754509" MODIFIED="1522655763823"/>
</node>
<node TEXT="Tempo de retorno" FOLDED="true" ID="ID_1491749826" CREATED="1522655642377" MODIFIED="1522655645634">
<node TEXT="minimiza tempo entre submiss&#xe3;o e t&#xe9;rmino" ID="ID_848089719" CREATED="1522655766267" MODIFIED="1522655776898"/>
</node>
<node TEXT="Uso de CPU" FOLDED="true" ID="ID_397600679" CREATED="1522655638352" MODIFIED="1522655641483">
<node TEXT="mantem CPU ocupada" ID="ID_1182600655" CREATED="1522655778516" MODIFIED="1522655782380"/>
</node>
</node>
<node TEXT="Interativo" FOLDED="true" ID="ID_352441670" CREATED="1522655647076" MODIFIED="1522655650095">
<node TEXT="Tempo de resposta" FOLDED="true" ID="ID_450149972" CREATED="1522655651960" MODIFIED="1522655654915">
<node TEXT="responde rapidamente &#xe0;s requisi&#xe7;&#xf5;es" ID="ID_816842444" CREATED="1522655785121" MODIFIED="1522655792090"/>
</node>
<node TEXT="Proporcionalidade" FOLDED="true" ID="ID_1514368273" CREATED="1522655657165" MODIFIED="1522655659812">
<node TEXT="satisfaz expectativas dos usu&#xe1;rios" ID="ID_1478194951" CREATED="1522655793839" MODIFIED="1522655804430"/>
</node>
</node>
<node TEXT="Tempo real" FOLDED="true" ID="ID_79458628" CREATED="1522655662895" MODIFIED="1522655664715">
<node TEXT="Cumprimento de prazos" FOLDED="true" ID="ID_465213925" CREATED="1522655665444" MODIFIED="1522655668411">
<node TEXT="evita perda de dados" ID="ID_1676699245" CREATED="1522655808100" MODIFIED="1522655811721"/>
</node>
<node TEXT="Previsibilidade" FOLDED="true" ID="ID_694432319" CREATED="1522655669931" MODIFIED="1522655672014">
<node TEXT="evita degrada&#xe7;&#xe3;o da qualidade em sistemas multim&#xed;dias" ID="ID_237970559" CREATED="1522655815462" MODIFIED="1522655824105"/>
</node>
</node>
</node>
<node TEXT="Algoritmos" FOLDED="true" ID="ID_1898724874" CREATED="1522655843409" MODIFIED="1522655846208">
<node TEXT="Lotes" FOLDED="true" ID="ID_534275233" CREATED="1522655847095" MODIFIED="1522655848254">
<node TEXT="FIFO" FOLDED="true" ID="ID_170293447" CREATED="1522655849272" MODIFIED="1522655852770">
<node TEXT="Fila de processos prontos" ID="ID_1682705738" CREATED="1522656406619" MODIFIED="1522656411386"/>
<node TEXT="Quando bloqueado vira pronto enfileira-o" ID="ID_485770037" CREATED="1522656411880" MODIFIED="1522656430757"/>
<node TEXT="Ruim quando a processos que usam muito CPU em simultaniedade com processos que usam muito E/S" ID="ID_1592004841" CREATED="1522656449011" MODIFIED="1522656475014"/>
<node TEXT="N&#xe3;o preemptivo" ID="ID_1807691814" CREATED="1522656444144" MODIFIED="1522656447972"/>
</node>
<node TEXT="Mais curta primeiro" FOLDED="true" ID="ID_1716754774" CREATED="1522655853607" MODIFIED="1522655857693">
<node TEXT="N&#xe3;o preemptivo" ID="ID_559650803" CREATED="1522656484853" MODIFIED="1522656488795"/>
</node>
<node TEXT="Pr&#xf3;ximo de menor tempo restante" FOLDED="true" ID="ID_1545027241" CREATED="1522655861208" MODIFIED="1522655866401">
<node TEXT="Vers&#xe3;o preemptiva do mais curto primeiro" ID="ID_1788628054" CREATED="1522656533400" MODIFIED="1522656539686"/>
<node TEXT="Quando novo job chega" FOLDED="true" ID="ID_544627104" CREATED="1522656545408" MODIFIED="1522656552843">
<node TEXT="tempo &#xe9; comparado com o restante do atual" FOLDED="true" ID="ID_1327227620" CREATED="1522656553442" MODIFIED="1522656563396">
<node TEXT="Se novo job &#xe9; menor" FOLDED="true" ID="ID_1297582531" CREATED="1522656573544" MODIFIED="1522656579234">
<node TEXT="executado" ID="ID_28012733" CREATED="1522656580160" MODIFIED="1522656583144"/>
</node>
</node>
</node>
</node>
</node>
<node TEXT="Interativos" FOLDED="true" ID="ID_301848594" CREATED="1522655880765" MODIFIED="1522655882804">
<node TEXT="chaveamento circular" FOLDED="true" ID="ID_1211454455" CREATED="1522655974644" MODIFIED="1522655979819">
<node TEXT="round-robin" FOLDED="true" ID="ID_1008695454" CREATED="1522656644441" MODIFIED="1522656647334">
<node TEXT="preemptivo" ID="ID_220294680" CREATED="1522656655645" MODIFIED="1522656657486"/>
<node TEXT="simples e justo" ID="ID_1947178245" CREATED="1522656658105" MODIFIED="1522656663010"/>
<node TEXT="cada processo tem seu quantum de tempo" FOLDED="true" ID="ID_922657423" CREATED="1522656664230" MODIFIED="1522656669634">
<node TEXT="quantum curto" FOLDED="true" ID="ID_212080787" CREATED="1522656673463" MODIFIED="1522656679208">
<node TEXT="muitas altern&#xe2;ncias" ID="ID_56641231" CREATED="1522656685758" MODIFIED="1522656694339"/>
<node TEXT="reduz eficiencia de CPU" ID="ID_1750720898" CREATED="1522656694503" MODIFIED="1522656699492"/>
</node>
<node TEXT="quantum longo" FOLDED="true" ID="ID_1553803238" CREATED="1522656679969" MODIFIED="1522656683125">
<node TEXT="resposta pobre &#xe0;s requisi&#xe7;&#xf5;es" ID="ID_61057787" CREATED="1522656703969" MODIFIED="1522656710208"/>
</node>
<node TEXT="20-50ms &#xe9; razo&#xe1;vel" ID="ID_611830881" CREATED="1522656713423" MODIFIED="1522656719530"/>
</node>
</node>
</node>
<node TEXT="prioridades" FOLDED="true" ID="ID_1454593869" CREATED="1522655980010" MODIFIED="1522655983336">
<node TEXT="prioridade atribu&#xed;da a cada processo" ID="ID_1847484657" CREATED="1522656737490" MODIFIED="1522656746136"/>
<node TEXT="processo execut&#xe1;vel com maior prioridede executa" ID="ID_1047432496" CREATED="1522656757867" MODIFIED="1522656769682"/>
<node TEXT="para evitar execu&#xe7;&#xe3;o infinita" FOLDED="true" ID="ID_1882467164" CREATED="1522656776644" MODIFIED="1522656790745">
<node TEXT="prioridade reduzida a cada tick do rel&#xf3;gio" ID="ID_910624729" CREATED="1522656791820" MODIFIED="1522656807869"/>
</node>
<node TEXT="processos orientados a E/S devem ter prioridades maiores" FOLDED="true" ID="ID_1591136803" CREATED="1522656818861" MODIFIED="1522656839073">
<node TEXT="pois passam maior parte do tempo esperando E/S" ID="ID_1624292011" CREATED="1522656839797" MODIFIED="1522656853895"/>
</node>
</node>
<node TEXT="filas m&#xfa;ltiplas" ID="ID_1936779071" CREATED="1522655983945" MODIFIED="1522655987122"/>
<node TEXT="mais curta primeiro" FOLDED="true" ID="ID_661303682" CREATED="1522655987366" MODIFIED="1522656932521">
<node TEXT="igual em Lotes" ID="ID_837032910" CREATED="1522656912667" MODIFIED="1522656917547"/>
<node TEXT="tempo de execu&#xe7;&#xe3;o estimado de antigas execu&#xe7;&#xf5;es" ID="ID_1776691601" CREATED="1522656918035" MODIFIED="1522656926730"/>
</node>
<node TEXT="Garantido" FOLDED="true" ID="ID_685439960" CREATED="1522656002130" MODIFIED="1522656020996">
<node TEXT="n = n&#xfa;mero de usu&#xe1;rios" ID="ID_776364458" CREATED="1522656935727" MODIFIED="1522656942880"/>
<node TEXT="\latex cada processo recebe $\frac{1}{n}$ do tempo de processamento" ID="ID_1379445443" CREATED="1522656943020" MODIFIED="1522656972120"/>
</node>
<node TEXT="Por loteria" FOLDED="true" ID="ID_871118659" CREATED="1522656010257" MODIFIED="1522656017443">
<node TEXT="cada processo recebe um ou mais bilhetes" ID="ID_1245242070" CREATED="1522656977023" MODIFIED="1522656991501"/>
<node TEXT="pr&#xea;mio &#xe9; tempo de execu&#xe7;&#xe3;o na CPU" ID="ID_1895977090" CREATED="1522656995484" MODIFIED="1522657002204"/>
<node TEXT="processos cooperativos podem trocar bilhetes" ID="ID_168085602" CREATED="1522657007603" MODIFIED="1522657017839"/>
</node>
<node TEXT="Fra&#xe7;&#xe3;o justa" FOLDED="true" ID="ID_980609015" CREATED="1522656022039" MODIFIED="1522656025841">
<node TEXT="Leva em considera&#xe7;&#xe3;o usu&#xe1;rios criadores do processo" ID="ID_1796247227" CREATED="1522657035508" MODIFIED="1522657046761"/>
</node>
</node>
<node TEXT="Tempo real" FOLDED="true" ID="ID_595648949" CREATED="1522656026865" MODIFIED="1522656029474">
<node TEXT="Cr&#xed;tico" FOLDED="true" ID="ID_562865555" CREATED="1522656044052" MODIFIED="1522656049511">
<node TEXT="Prazos cumpridos a todo custo" ID="ID_1651607769" CREATED="1522656054729" MODIFIED="1522656062912"/>
</node>
<node TEXT="N&#xe3;o Cr&#xed;tico" FOLDED="true" ID="ID_435446501" CREATED="1522656050093" MODIFIED="1522656053399">
<node TEXT="Tolera-se n&#xe3;o cumprimento de prazos" ID="ID_313729562" CREATED="1522656068920" MODIFIED="1522656077507"/>
</node>
<node TEXT="Condi&#xe7;&#xe3;o para carga trat&#xe1;vel" FOLDED="true" ID="ID_268029914" CREATED="1522656092791" MODIFIED="1522656106372">
<node TEXT="\latex $$\sum_{i=1}^m \frac{C_i}{P_i} \leq 1$$" FOLDED="true" ID="ID_795336320" CREATED="1522656107813" MODIFIED="1522656205091">
<node TEXT="m: eventos peri&#xf3;dicos" ID="ID_40064449" CREATED="1522656217502" MODIFIED="1522656223671"/>
<node TEXT="\latex $P_i$: per&#xed;odo em que ocorre evento" ID="ID_1717835252" CREATED="1522656223818" MODIFIED="1522656278903"/>
<node TEXT="\latex $C_i$: tempo de ocorr&#xea;ncia" ID="ID_1120873991" CREATED="1522656232700" MODIFIED="1522656275633"/>
</node>
</node>
</node>
</node>
</node>
</node>
</node>
<node TEXT="" ID="ID_694942570" CREATED="1522657082413" MODIFIED="1522657107763">
<hook URI="processo-thread.png" SIZE="0.35224888" NAME="ExternalObject"/>
</node>
</node>
<node TEXT="Processo de inicializa&#xe7;&#xe3;o do sistema" FOLDED="true" POSITION="left" ID="ID_1981302503" CREATED="1522636928210" MODIFIED="1522636938244">
<node TEXT="BIOS" FOLDED="true" ID="ID_501773893" CREATED="1522636961994" MODIFIED="1522636963213">
<node TEXT="Possui rotina e armazena configura&#xe7;&#xf5;es do boot" ID="ID_1750214512" CREATED="1522636965411" MODIFIED="1522636987322"/>
</node>
<node TEXT="boot" FOLDED="true" ID="ID_1288838098" CREATED="1522636989391" MODIFIED="1522636990621">
<node TEXT="Etapas" FOLDED="true" ID="ID_389885332" CREATED="1522636992062" MODIFIED="1522636995657">
<node TEXT="Leitura de disco em busca de MBR" ID="ID_310064844" CREATED="1522636996555" MODIFIED="1522637006530"/>
<node TEXT="Requisi&#xe7;&#xe3;o de parti&#xe7;&#xf5;es inicializ&#xe1;veis" ID="ID_1970907940" CREATED="1522637010258" MODIFIED="1522637025481"/>
<node TEXT="Execu&#xe7;&#xe3;o do programa de inicializa&#xe7;&#xe3;o" FOLDED="true" ID="ID_1368371098" CREATED="1522637028856" MODIFIED="1522637035688">
<node TEXT="Boot Loader" FOLDED="true" ID="ID_1864075633" CREATED="1522637037150" MODIFIED="1522637044096">
<node TEXT="Que conhece n&#xfa;cleos de sistemas boot&#xe1;veis" ID="ID_1962065993" CREATED="1522637061076" MODIFIED="1522637089608"/>
</node>
<node TEXT="N&#xfa;cleo de um sistema" ID="ID_1759602694" CREATED="1522637044424" MODIFIED="1522637058279"/>
</node>
</node>
</node>
</node>
<node TEXT="Modelo Cliente-Servidor" FOLDED="true" POSITION="right" ID="ID_823914298" CREATED="1522647885011" MODIFIED="1522647890979">
<node TEXT="Presente fora do contexto de redes" FOLDED="true" ID="ID_1164196039" CREATED="1522647891708" MODIFIED="1522647903695">
<node TEXT="Xorg" ID="ID_808917456" CREATED="1522647905526" MODIFIED="1522647909688"/>
</node>
</node>
<node TEXT="M&#xe1;quinas Virtuais" FOLDED="true" POSITION="left" ID="ID_4641162" CREATED="1522647921879" MODIFIED="1522647927103">
<node TEXT="Hipervisor (Monitor de M&#xe1;quinas Virtuais)" FOLDED="true" ID="ID_668946169" CREATED="1522647935649" MODIFIED="1522647959571">
<node TEXT="Tipo 1" FOLDED="true" ID="ID_1375013367" CREATED="1522647961241" MODIFIED="1522647967259">
<node TEXT="Um Sistema operacional hipervisor" FOLDED="true" ID="ID_354709851" CREATED="1522647980752" MODIFIED="1522647991562">
<node TEXT="N&#xe3;o necessita de um sistema hospedeiro" ID="ID_1352219456" CREATED="1522647992382" MODIFIED="1522648027271"/>
</node>
<node TEXT="Exemplos" FOLDED="true" ID="ID_1019928802" CREATED="1522648607092" MODIFIED="1522648610663">
<node TEXT="Xen" ID="ID_360538467" CREATED="1522648611875" MODIFIED="1522648614178"/>
<node TEXT="Hyper-V" ID="ID_1109318061" CREATED="1522648614490" MODIFIED="1522648620617"/>
<node TEXT="VMWare ESXi" ID="ID_943106429" CREATED="1522648626706" MODIFIED="1522648632987"/>
</node>
<node TEXT="Tipo de virtualiza&#xe7;&#xe3;o" FOLDED="true" ID="ID_738955386" CREATED="1522649119066" MODIFIED="1522649131807">
<node TEXT="HVM" FOLDED="true" ID="ID_770215074" CREATED="1522649133071" MODIFIED="1522649173428">
<node TEXT="Hardware virtualization" FOLDED="true" ID="ID_729951751" CREATED="1522649233205" MODIFIED="1522649237237">
<node TEXT="Precisa de suporte de hardware &#xe0; virtualiza&#xe7;&#xe3;o" ID="ID_1557297508" CREATED="1522649303938" MODIFIED="1522649313974"/>
</node>
</node>
<node TEXT="PV" FOLDED="true" ID="ID_1543666086" CREATED="1522649214353" MODIFIED="1522649217338">
<node TEXT="Paravirtualization" FOLDED="true" ID="ID_868985831" CREATED="1522649247611" MODIFIED="1522649252001">
<node TEXT="Modified Guest" ID="ID_541627573" CREATED="1522649316258" MODIFIED="1522649323279"/>
</node>
</node>
<node TEXT="Outros" FOLDED="true" ID="ID_1310384508" CREATED="1522649293314" MODIFIED="1522649295195">
<node TEXT="HVM with PV drivers" ID="ID_710027501" CREATED="1522649177200" MODIFIED="1522649187329"/>
<node TEXT="PVH (PV in an HVM container)" ID="ID_1374856037" CREATED="1522649188310" MODIFIED="1522649213754"/>
<node TEXT="PVHVM" FOLDED="true" ID="ID_584316172" CREATED="1522649228289" MODIFIED="1522649229936">
<node TEXT="paravirtualization with full hardware virtualization" ID="ID_922444150" CREATED="1522649264134" MODIFIED="1522649265224"/>
</node>
</node>
</node>
</node>
<node TEXT="Tipo 2" FOLDED="true" ID="ID_982147214" CREATED="1522647968251" MODIFIED="1522647969693">
<node TEXT="Aplica&#xe7;&#xe3;o de virtualiza&#xe7;&#xe3;o de m&#xe1;quina tradicional" FOLDED="true" ID="ID_1343930445" CREATED="1522648031975" MODIFIED="1522648042209">
<node TEXT="Executa acima de um sistema operacional hospedeiro" ID="ID_1806553120" CREATED="1522648043338" MODIFIED="1522648055207"/>
</node>
<node TEXT="Exemplos" FOLDED="true" ID="ID_526313691" CREATED="1522648586380" MODIFIED="1522648588515">
<node TEXT="VirtualBox" ID="ID_1316626056" CREATED="1522648589712" MODIFIED="1522648591946"/>
<node TEXT="QEMU" ID="ID_1235680403" CREATED="1522648592364" MODIFIED="1522648595104"/>
<node TEXT="VMWare Workstation" ID="ID_1667976256" CREATED="1522648602125" MODIFIED="1522648641358"/>
</node>
</node>
</node>
<node TEXT="Exon&#xfa;cleo" FOLDED="true" ID="ID_155538191" CREATED="1522648059098" MODIFIED="1522648063220">
<node TEXT="Capa de abstra&#xe7;&#xe3;o por software" FOLDED="true" ID="ID_635996052" CREATED="1522648471858" MODIFIED="1522648482431">
<node TEXT="Usada por v&#xe1;rios outros sistemas" ID="ID_120746211" CREATED="1522648483299" MODIFIED="1522648495734"/>
</node>
</node>
</node>
<node TEXT="Mem&#xf3;ria" FOLDED="true" POSITION="right" ID="ID_720234529" CREATED="1525262358547" MODIFIED="1525262362028">
<node TEXT="Hierarquia de mem&#xf3;ria" FOLDED="true" ID="ID_1371688878" CREATED="1525262363007" MODIFIED="1525262369220">
<node TEXT="Cache" ID="ID_60735607" CREATED="1525262369984" MODIFIED="1525262374813"/>
<node TEXT="Mem&#xf3;ria principal" ID="ID_82008160" CREATED="1525262375051" MODIFIED="1525262379965"/>
<node TEXT="Mem&#xf3;ria n&#xe3;o vol&#xe1;til" ID="ID_1718437931" CREATED="1525262380344" MODIFIED="1525262386534"/>
</node>
<node TEXT="Gerenciador de mem&#xf3;ria" FOLDED="true" ID="ID_145798779" CREATED="1525262429100" MODIFIED="1525262440004">
<node TEXT="Realoca&#xe7;&#xe3;o est&#xe1;tica" FOLDED="true" ID="ID_1447098696" CREATED="1525262441526" MODIFIED="1525262456776">
<node TEXT="posi&#xe7;&#xe3;o dos dados de um programa" FOLDED="true" ID="ID_1212517123" CREATED="1525262494909" MODIFIED="1525262546935">
<node TEXT="&#xe9; a posi&#xe7;&#xe3;o do programa na mem&#xf3;ria + posi&#xe7;&#xe3;o original" ID="ID_1722997665" CREATED="1525262548401" MODIFIED="1525262585634"/>
</node>
</node>
<node TEXT="Espa&#xe7;o de endere&#xe7;amento" FOLDED="true" ID="ID_335969169" CREATED="1525262457110" MODIFIED="1525262475036">
<node TEXT="" ID="ID_1267674289" CREATED="1525263055150" MODIFIED="1525263055152">
<hook NAME="FirstGroupNode"/>
</node>
<node TEXT="N&#xba; de endere&#xe7;os que um programa pode utilizar da mem&#xf3;ria" FOLDED="true" ID="ID_227151801" CREATED="1525262635170" MODIFIED="1525262721836">
<node TEXT="endere&#xe7;os iguais em programas distintos se referem a espa&#xe7;os distintos na mem&#xf3;ria" ID="ID_830641993" CREATED="1525262745212" MODIFIED="1525262773123"/>
</node>
<node TEXT="base-limite" FOLDED="true" ID="ID_1036567158" CREATED="1525262479362" MODIFIED="1525262492134">
<node TEXT="Registradores demarcam inicio e fim do espa&#xe7;o de endere&#xe7;amento" ID="ID_654323556" CREATED="1525262594186" MODIFIED="1525262614600"/>
<node TEXT="Registrador base" FOLDED="true" ID="ID_1043774267" CREATED="1525262807072" MODIFIED="1525262811597">
<node TEXT="endere&#xe7;o inicial do programa" ID="ID_353419125" CREATED="1525262812674" MODIFIED="1525262819086"/>
</node>
<node TEXT="Registrador limite" FOLDED="true" ID="ID_1793458909" CREATED="1525262819960" MODIFIED="1525262824593">
<node TEXT="tamanho do programa" ID="ID_1694855610" CREATED="1525262825360" MODIFIED="1525262831903"/>
</node>
<node TEXT="programas alocados em posi&#xe7;&#xf5;es consecutivas" ID="ID_1579328859" CREATED="1525262850391" MODIFIED="1525262865325"/>
<node TEXT="n&#xe3;o h&#xe1; realoca&#xe7;&#xe3;o durante carregamento" ID="ID_687088517" CREATED="1525262865900" MODIFIED="1525262876555"/>
</node>
<node TEXT="" ID="ID_213234841" CREATED="1525263055147" MODIFIED="1525263055149">
<hook NAME="SummaryNode"/>
<hook NAME="AlwaysUnfoldedNode"/>
<node TEXT="Essas t&#xe9;cnicas apenas funcionam se programas cabem na mem&#xf3;ria principal" ID="ID_655426170" CREATED="1525263055155" MODIFIED="1525263057865"/>
</node>
</node>
<node TEXT="T&#xe9;cnicas de troca de mem&#xf3;ria" FOLDED="true" ID="ID_1826007647" CREATED="1525263061788" MODIFIED="1525263097343">
<node TEXT="Mem&#xf3;ria virtual" FOLDED="true" ID="ID_680598025" CREATED="1525263098714" MODIFIED="1525263102048">
<node TEXT="Os programas podem estar apenas parcialmente na mem&#xf3;ria principal" ID="ID_1075062081" CREATED="1525263137562" MODIFIED="1525263156884"/>
<node TEXT="Tamanho total pode exceder mem&#xf3;ria f&#xed;sica" ID="ID_118513989" CREATED="1525265363805" MODIFIED="1525265387539"/>
<node TEXT="Se programa espera uma parte ir para mem&#xf3;ria f&#xed;sica" FOLDED="true" ID="ID_578996564" CREATED="1525265405470" MODIFIED="1525265417659">
<node TEXT="Ele est&#xe1; em estado de espera de E/S" ID="ID_1383320720" CREATED="1525265418565" MODIFIED="1525265424572"/>
</node>
<node TEXT="Endere&#xe7;o virtual" FOLDED="true" ID="ID_644241645" CREATED="1525265444679" MODIFIED="1525265447633">
<node TEXT="Alcan&#xe7;ado na MMU" ID="ID_1218083537" CREATED="1525265604099" MODIFIED="1525265614425"/>
</node>
<node TEXT="Falta de p&#xe1;gina" FOLDED="true" ID="ID_1202803487" CREATED="1525265442446" MODIFIED="1525265636181">
<node TEXT="SO escolhe moldura pouco usada" ID="ID_349427324" CREATED="1525265637586" MODIFIED="1525265648863"/>
<node TEXT="Salva moldura em disco" ID="ID_406556208" CREATED="1525265650195" MODIFIED="1525265655562"/>
</node>
<node TEXT="Tamanho de p&#xe1;gina = 2**bits deslocamento" ID="ID_881831122" CREATED="1525266295404" MODIFIED="1525266325441"/>
<node TEXT="N&#xfa;mero de p&#xe1;ginas = endere&#xe7;amento - deslocamento" ID="ID_1412636068" CREATED="1525266325874" MODIFIED="1525266351253"/>
<node TEXT="Tabela de p&#xe1;ginas" FOLDED="true" ID="ID_394125061" CREATED="1525266426139" MODIFIED="1525266429669">
<node TEXT="vetor de registradores" FOLDED="true" ID="ID_466428908" CREATED="1525266430719" MODIFIED="1525266445602">
<node TEXT="vers&#xe3;o simples e r&#xe1;pida" ID="ID_1906580070" CREATED="1525266446665" MODIFIED="1525266451753"/>
<node TEXT="cara por armazenar grande espa&#xe7;o de mem&#xf3;ria cont&#xed;guo" ID="ID_952061309" CREATED="1525266451940" MODIFIED="1525266467282"/>
<node TEXT="desempenho reduzido com troca de contexto" ID="ID_292811777" CREATED="1525266468712" MODIFIED="1525266477606"/>
</node>
<node TEXT="tabela em mem&#xf3;ria principal e um registrador ponteiro" FOLDED="true" ID="ID_376455844" CREATED="1525266499315" MODIFIED="1525266524371">
<node TEXT="desempenho reduzido" ID="ID_688576855" CREATED="1525266715156" MODIFIED="1525266719745"/>
</node>
<node TEXT="Entrada da tabela" FOLDED="true" ID="ID_566171816" CREATED="1525266611115" MODIFIED="1525266614715">
<node TEXT="Prote&#xe7;&#xe3;o RWX" ID="ID_1443865972" CREATED="1525266615788" MODIFIED="1525266631039"/>
<node TEXT="Modificada 0/1" ID="ID_1711488693" CREATED="1525266631483" MODIFIED="1525266640104"/>
<node TEXT="Referenciada 0/1" ID="ID_781391256" CREATED="1525266640690" MODIFIED="1525266647382"/>
<node TEXT="Presente/ausente" ID="ID_603506494" CREATED="1525266654217" MODIFIED="1525266657585"/>
<node TEXT="Cache desabilitado 0/1" ID="ID_1754042423" CREATED="1525266658032" MODIFIED="1525266673419"/>
<node TEXT="N&#xaa; moldura da p&#xe1;gina" ID="ID_818072625" CREATED="1525266674448" MODIFIED="1525266683115"/>
</node>
<node TEXT="Quando tem-se uma mem&#xf3;ria grande:" FOLDED="true" ID="ID_1361890324" CREATED="1525266945079" MODIFIED="1525266965622">
<node TEXT="Tabela de p&#xe1;ginas multin&#xed;vel" ID="ID_990586729" CREATED="1525266966629" MODIFIED="1525267017632">
<font BOLD="true"/>
</node>
<node TEXT="Tabela de p&#xe1;ginas invertidas" FOLDED="true" ID="ID_1710248814" CREATED="1525266973371" MODIFIED="1525267018111">
<font BOLD="true"/>
<node TEXT="Uma entrada por moldura de p&#xe1;gina da mem&#xf3;ria real" FOLDED="true" ID="ID_1522733548" CREATED="1525267072828" MODIFIED="1525267084189">
<node TEXT="Toda refer&#xea;ncia &#xe0; mem&#xf3;ria percorre tabela" FOLDED="true" ID="ID_1669235817" CREATED="1525267136723" MODIFIED="1525267156276">
<node TEXT="Solu&#xe7;&#xe3;o" FOLDED="true" ID="ID_298853479" CREATED="1525267176758" MODIFIED="1525267178853">
<node ID="ID_670694487" CREATED="1525267180007" MODIFIED="1525267372544"><richcontent TYPE="NODE">

<html>
  <head>
    
  </head>
  <body>
    <p>
      Usar <b>TLB </b>
    </p>
  </body>
</html>

</richcontent>
</node>
</node>
</node>
</node>
</node>
</node>
</node>
<node TEXT="Tabela de tradu&#xe7;&#xe3;o de endere&#xe7;os (TLB)" FOLDED="true" ID="ID_1612246967" CREATED="1525266738863" MODIFIED="1525266748712">
<node TEXT="Registradores que armazenam p&#xe1;ginas mais usadas" ID="ID_203101796" CREATED="1525266750450" MODIFIED="1525266763043"/>
<node TEXT="Entrada" FOLDED="true" ID="ID_199798916" CREATED="1525266774309" MODIFIED="1525266776077">
<node TEXT="Prote&#xe7;&#xe3;o RWX" ID="ID_1221473794" CREATED="1525266777787" MODIFIED="1525266786181"/>
<node TEXT="Modificada 0/1" ID="ID_1121722266" CREATED="1525266786394" MODIFIED="1525266791956"/>
<node TEXT="V&#xe1;lida 0/1" ID="ID_171495184" CREATED="1525266797087" MODIFIED="1525266804775"/>
<node TEXT="P&#xe1;gina virtual" ID="ID_1196826529" CREATED="1525266799725" MODIFIED="1525266814566"/>
<node TEXT="Moldura de p&#xe1;gina" ID="ID_608725691" CREATED="1525266814768" MODIFIED="1525266820013"/>
</node>
<node TEXT="Na remo&#xe7;&#xe3;o de uma entrada" FOLDED="true" ID="ID_1482800216" CREATED="1525266845099" MODIFIED="1525266850273">
<node TEXT="Apenas bit modificado &#xe9; trazido a mem&#xf3;ria principal" ID="ID_1567325305" CREATED="1525266851188" MODIFIED="1525266865128"/>
</node>
<node TEXT="Na adi&#xe7;&#xe3;o de entrada" FOLDED="true" ID="ID_300037511" CREATED="1525266866418" MODIFIED="1525266871280">
<node TEXT="Todos os dados s&#xe3;o trazidos da mem&#xf3;ria principal" ID="ID_931255717" CREATED="1525266872143" MODIFIED="1525266889061"/>
</node>
</node>
</node>
<node TEXT="Swapping" FOLDED="true" ID="ID_1471574299" CREATED="1525263102253" MODIFIED="1525263105563">
<node TEXT="Ou troca de processos" ID="ID_1281999903" CREATED="1525263107007" MODIFIED="1525263113400"/>
<node TEXT="Programas est&#xe3;o inteiramente em uma das 2 mem&#xf3;rias" ID="ID_738107453" CREATED="1525263117631" MODIFIED="1525263132877"/>
<node TEXT="Ao mudar um processo de local" FOLDED="true" ID="ID_735828271" CREATED="1525263300188" MODIFIED="1525263307017">
<node TEXT="utiliza-se uma das t&#xe9;cnicas" FOLDED="true" ID="ID_820826548" CREATED="1525263308081" MODIFIED="1525263339691">
<node TEXT="realoca&#xe7;&#xe3;o est&#xe1;tica" ID="ID_379355880" CREATED="1525263340555" MODIFIED="1525263344155"/>
<node TEXT="base-limite" ID="ID_62421213" CREATED="1525263344320" MODIFIED="1525263355303"/>
</node>
</node>
<node TEXT="Como os processos possuem &#xe1;reas que podem crescer" FOLDED="true" ID="ID_1375736721" CREATED="1525263358264" MODIFIED="1525264195568">
<font BOLD="false"/>
<node TEXT="" ID="ID_694936595" CREATED="1525263420883" MODIFIED="1525263420884">
<hook NAME="FirstGroupNode"/>
</node>
<node TEXT="heap" ID="ID_27064891" CREATED="1525263376196" MODIFIED="1525263380777"/>
<node TEXT="pilha" ID="ID_1220132362" CREATED="1525263380970" MODIFIED="1525263382377"/>
<node TEXT="" ID="ID_1676460913" CREATED="1525263420881" MODIFIED="1525263420883">
<hook NAME="SummaryNode"/>
<hook NAME="AlwaysUnfoldedNode"/>
<node TEXT="Na aus&#xea;ncia de espa&#xe7;o para crescimento deve-se" FOLDED="true" ID="ID_68277133" CREATED="1525263420885" MODIFIED="1525263463935">
<node TEXT="" ID="ID_313878945" CREATED="1525263510981" MODIFIED="1525263510982">
<hook NAME="FirstGroupNode"/>
</node>
<node TEXT="mudar o processo de posi&#xe7;&#xe3;o" ID="ID_975849594" CREATED="1525263464619" MODIFIED="1525263483439"/>
<node TEXT="ou remover processo adjacente" ID="ID_357929487" CREATED="1525263484548" MODIFIED="1525263491955"/>
<node TEXT="" ID="ID_785686466" CREATED="1525263510979" MODIFIED="1525263510981">
<hook NAME="SummaryNode"/>
<hook NAME="AlwaysUnfoldedNode"/>
<node TEXT="Para evitar isso aloca-se espa&#xe7;o extra" ID="ID_980834248" CREATED="1525263510982" MODIFIED="1525263521886"/>
</node>
</node>
</node>
</node>
</node>
</node>
<node TEXT="T&#xe9;cnicas de verifica&#xe7;&#xe3;o do uso de mem&#xf3;ria" FOLDED="true" ID="ID_620183766" CREATED="1525263554103" MODIFIED="1525263563992">
<node TEXT="mapas de bits" FOLDED="true" ID="ID_1378633894" CREATED="1525263565105" MODIFIED="1525263568664">
<node TEXT="Para cada unidade de aloca&#xe7;&#xe3;o representa-se no mapa de bits" FOLDED="true" ID="ID_956982672" CREATED="1525263677904" MODIFIED="1525263866987">
<node TEXT="1 para aquela que est&#xe1; alocada" ID="ID_544784140" CREATED="1525263706461" MODIFIED="1525263713052"/>
<node TEXT="0 para aquela que est&#xe1; livre" ID="ID_413641851" CREATED="1525263713613" MODIFIED="1525263719771"/>
</node>
<node TEXT="Caracter&#xed;sticas" FOLDED="true" ID="ID_502013624" CREATED="1525263880104" MODIFIED="1525263895415">
<node TEXT="menor unidade de aloca&#xe7;&#xe3;o = maior mapa de bits" ID="ID_1577487046" CREATED="1525263896526" MODIFIED="1525263909836"/>
<node TEXT="maior unidade de aloca&#xe7;&#xe3;o = maior desperd&#xed;cio" ID="ID_1311452549" CREATED="1525263915017" MODIFIED="1525263927781"/>
<node TEXT="simples implementa&#xe7;&#xe3;o" ID="ID_1234962898" CREATED="1525263931598" MODIFIED="1525263935895"/>
<node TEXT="para alocar k bits o programa deve" FOLDED="true" ID="ID_1669769477" CREATED="1525263937074" MODIFIED="1525263957988">
<node TEXT="Percorrer as listas encadeadas buscando k bits livres" FOLDED="true" ID="ID_396275113" CREATED="1525263958314" MODIFIED="1525263998436">
<node TEXT="PROCESSO LENTO" ID="ID_1225278356" CREATED="1525264004336" MODIFIED="1525264011611"/>
</node>
</node>
</node>
</node>
<node TEXT="lista encadeada" FOLDED="true" ID="ID_568694718" CREATED="1525263568992" MODIFIED="1525263574082">
<node TEXT="Cada conjunto de p&#xe1;ginas de mesmo estado" FOLDED="true" ID="ID_8968263" CREATED="1525263722576" MODIFIED="1525263763651">
<node TEXT="alocam-se limites em uma lista encadeada + estado" ID="ID_1093087894" CREATED="1525263763655" MODIFIED="1525263799579"/>
</node>
<node TEXT="estados" FOLDED="true" ID="ID_189765803" CREATED="1525263804860" MODIFIED="1525263809098">
<node TEXT="L livre" ID="ID_1381159970" CREATED="1525263810895" MODIFIED="1525263814659"/>
<node TEXT="P processo" ID="ID_374901248" CREATED="1525264078400" MODIFIED="1525264081211"/>
</node>
<node TEXT="t&#xe9;rmino de processo" FOLDED="true" ID="ID_1769486147" CREATED="1525264098676" MODIFIED="1525264111911">
<node TEXT="remo&#xe7;&#xe3;o da lista" FOLDED="true" ID="ID_1813107296" CREATED="1525264112981" MODIFIED="1525264119424">
<node TEXT="menos custosa com lista duplamente encadeada" ID="ID_232926319" CREATED="1525264120948" MODIFIED="1525264130371"/>
</node>
</node>
</node>
</node>
<node TEXT="Swapping com listas encadeadas" FOLDED="true" ID="ID_602792178" CREATED="1525264176182" MODIFIED="1525264225166">
<font BOLD="false"/>
<node TEXT="Algoritmos de substitui&#xe7;&#xe3;o" FOLDED="true" ID="ID_661117798" CREATED="1525264210511" MODIFIED="1525264219604">
<node TEXT="First fit" FOLDED="true" ID="ID_269281590" CREATED="1525264232350" MODIFIED="1525264235876">
<node TEXT="Escolhe primeira &#xe1;rea que couber" ID="ID_996318430" CREATED="1525265229933" MODIFIED="1525265236784"/>
</node>
<node TEXT="Next fit" FOLDED="true" ID="ID_1895010265" CREATED="1525264236137" MODIFIED="1525264238949">
<node TEXT="Armazena ultimo endere&#xe7;o que coube" FOLDED="true" ID="ID_1464339828" CREATED="1525265238961" MODIFIED="1525265258348">
<node TEXT="Pr&#xf3;xima busca come&#xe7;a do endere&#xe7;o armazenado" ID="ID_1968026827" CREATED="1525265259112" MODIFIED="1525265278085"/>
</node>
</node>
<node TEXT="" ID="ID_1457217078" CREATED="1525265335195" MODIFIED="1525265335195">
<hook NAME="FirstGroupNode"/>
</node>
<node TEXT="Best fit" FOLDED="true" ID="ID_763320034" CREATED="1525264242419" MODIFIED="1525264244697">
<node TEXT="Busca a menor posi&#xe7;&#xe3;o de mem&#xf3;ria que cabe requisi&#xe7;&#xe3;o" ID="ID_1384021498" CREATED="1525265293492" MODIFIED="1525265318937"/>
</node>
<node TEXT="Worst fit" FOLDED="true" ID="ID_1170260773" CREATED="1525264245188" MODIFIED="1525264247120">
<node TEXT="Busca a maior posi&#xe7;&#xe3;o de mem&#xf3;ria" ID="ID_1891822925" CREATED="1525265321252" MODIFIED="1525265330168"/>
</node>
<node TEXT="" ID="ID_256051501" CREATED="1525265335193" MODIFIED="1525265335194">
<hook NAME="SummaryNode"/>
<hook NAME="AlwaysUnfoldedNode"/>
<node TEXT="Lento" ID="ID_33621907" CREATED="1525265335196" MODIFIED="1525265337425"/>
</node>
</node>
</node>
<node TEXT="Substitui&#xe7;&#xe3;o de p&#xe1;gina" FOLDED="true" ID="ID_429881518" CREATED="1525267373925" MODIFIED="1525267418443">
<node TEXT="P&#xe1;gina modificada deve ser 1&#xba; salva" ID="ID_168339323" CREATED="1525267419726" MODIFIED="1525267437826"/>
<node TEXT="N&#xe3;o se deve trazer p&#xe1;ginas muito usadas" ID="ID_714127816" CREATED="1525267439390" MODIFIED="1525267466793"/>
<node TEXT="Algoritmos" FOLDED="true" ID="ID_490208016" CREATED="1525267532168" MODIFIED="1525267534267">
<node TEXT="substitui&#xe7;&#xe3;o de p&#xe1;gina &#xf3;timo" FOLDED="true" ID="ID_1253898186" CREATED="1525267535363" MODIFIED="1525267629219">
<node ID="ID_1842268053" CREATED="1525267632764" MODIFIED="1525267639359"><richcontent TYPE="NODE">

<html>
  <head>
    
  </head>
  <body>
    <p>
      <b>Imposs&#237;vel de implementar</b>
    </p>
  </body>
</html>

</richcontent>
</node>
<node TEXT="Utilizar informa&#xe7;&#xf5;es de quais p&#xe1;ginas ser&#xe3;o falhas" FOLDED="true" ID="ID_231894859" CREATED="1525267639887" MODIFIED="1525267658130">
<node TEXT="Essa informa&#xe7;&#xe3;o n&#xe3;o existe" ID="ID_996111642" CREATED="1525267660250" MODIFIED="1525267665298"/>
</node>
<node TEXT="Ponto de refer&#xea;ncia de compara&#xe7;&#xe3;o de outros algoritmos" ID="ID_154586002" CREATED="1525267689842" MODIFIED="1525267704136"/>
</node>
<node TEXT="substitui&#xe7;&#xe3;o de p&#xe1;gina n&#xe3;o usada recentemente" FOLDED="true" ID="ID_162525611" CREATED="1525267545307" MODIFIED="1525267568802">
<node TEXT="NRU" ID="ID_836481865" CREATED="1525267707213" MODIFIED="1525268849165"/>
<node TEXT="Cada p&#xe1;gina tem os bits" FOLDED="true" ID="ID_27805733" CREATED="1525267715305" MODIFIED="1525267725316">
<node TEXT="R referenciada" ID="ID_1618002241" CREATED="1525267726396" MODIFIED="1525267729962"/>
<node TEXT="M modificada" ID="ID_1370368121" CREATED="1525267730109" MODIFIED="1525267732677"/>
</node>
<node TEXT="Classifica&#xe7;&#xe3;o das p&#xe1;ginas" FOLDED="true" ID="ID_592459062" CREATED="1525267742516" MODIFIED="1525267746778">
<node TEXT="Classe 0" FOLDED="true" ID="ID_464795489" CREATED="1525267748188" MODIFIED="1525267752824">
<node TEXT="N&#xe3;o R, n&#xe3;o M" ID="ID_426082594" CREATED="1525267759537" MODIFIED="1525267767901"/>
</node>
<node TEXT="Classe 1" FOLDED="true" ID="ID_429419117" CREATED="1525267753136" MODIFIED="1525267754353">
<node TEXT="N&#xe3;o R, M" ID="ID_546036614" CREATED="1525267772832" MODIFIED="1525267787139"/>
</node>
<node TEXT="Classe 2" FOLDED="true" ID="ID_1086199797" CREATED="1525267755384" MODIFIED="1525267756201">
<node TEXT="R, n&#xe3;o M" ID="ID_1527905822" CREATED="1525267778838" MODIFIED="1525267783193"/>
</node>
<node TEXT="Classe 3" FOLDED="true" ID="ID_567941663" CREATED="1525267756431" MODIFIED="1525267757664">
<node TEXT="R e M" ID="ID_1058272962" CREATED="1525267789185" MODIFIED="1525267791098"/>
</node>
</node>
<node TEXT="Remove uma p&#xe1;gina de mais baixa classe" ID="ID_1502289066" CREATED="1525267796836" MODIFIED="1525267806772"/>
</node>
<node TEXT="substitui&#xe7;&#xe3;o de p&#xe1;gina primeiro a entrar, primeiro a sair" FOLDED="true" ID="ID_860226410" CREATED="1525267569036" MODIFIED="1525267580463">
<node TEXT="FIFO" ID="ID_1119512725" CREATED="1525267812668" MODIFIED="1525267813613"/>
<node TEXT="Mais antiga na cabe&#xe7;a da lista" ID="ID_1000369635" CREATED="1525267817027" MODIFIED="1525267827926"/>
<node TEXT="Mais recente no final da lista" ID="ID_406796342" CREATED="1525267828201" MODIFIED="1525267835513"/>
<node TEXT="Na falta de p&#xe1;gina" FOLDED="true" ID="ID_1755190719" CREATED="1525267837699" MODIFIED="1525267843361">
<node TEXT="P&#xe1;gina cabe&#xe7;a &#xe9; removida" ID="ID_942237008" CREATED="1525267844949" MODIFIED="1525267851524"/>
<node TEXT="Nova p&#xe1;gina &#xe9; adicionada ao final" ID="ID_360462275" CREATED="1525267852472" MODIFIED="1525267857765"/>
</node>
<node TEXT="Desvantagem" FOLDED="true" ID="ID_1998266390" CREATED="1525267859516" MODIFIED="1525267861387">
<node TEXT="P&#xe1;gina antiga pode ser muito usada" ID="ID_322001350" CREATED="1525267862657" MODIFIED="1525267872489"/>
</node>
</node>
<node TEXT="substitui&#xe7;&#xe3;o de p&#xe1;gina 2&#xaa; chance" FOLDED="true" ID="ID_362788220" CREATED="1525267581322" MODIFIED="1525267586777">
<node TEXT="Mistura do FIFO com NUR" ID="ID_1673799154" CREATED="1525267875431" MODIFIED="1525267887354"/>
<node TEXT="Se R for 0" FOLDED="true" ID="ID_550761732" CREATED="1525267887619" MODIFIED="1525267893801">
<node TEXT="P&#xe1;gina substitu&#xed;da imediatamente" ID="ID_1769076239" CREATED="1525267894807" MODIFIED="1525267901286"/>
</node>
<node TEXT="Se R for 1" FOLDED="true" ID="ID_1057100633" CREATED="1525267902055" MODIFIED="1525267905082">
<node TEXT="Bit R vira 0" ID="ID_664347861" CREATED="1525267915695" MODIFIED="1525267920334"/>
<node TEXT="P&#xe1;gina colocada no final da lista" ID="ID_1369162883" CREATED="1525267920607" MODIFIED="1525267929813"/>
<node TEXT="Tempo de carregamento atualizado como se ela tivesse acabado de ser carregada na mem&#xf3;ria" ID="ID_1257001758" CREATED="1525267930466" MODIFIED="1525267943376"/>
<node TEXT="Continua buscando alguma p&#xe1;gina com R = 0" ID="ID_1281451762" CREATED="1525267954436" MODIFIED="1525267968149"/>
</node>
</node>
<node TEXT="substitui&#xe7;&#xe3;o de p&#xe1;gina de rel&#xf3;gio" FOLDED="true" ID="ID_58567278" CREATED="1525267586910" MODIFIED="1525267592804">
<node TEXT="Igual 2&#xaa; chance tirando sua implementa&#xe7;&#xe3;o que usa ponteiro como num rel&#xf3;gio" ID="ID_1993072584" CREATED="1525267983241" MODIFIED="1525268004781"/>
</node>
<node TEXT="substitui&#xe7;&#xe3;o de p&#xe1;gina menos recentemente usada" FOLDED="true" ID="ID_465930246" CREATED="1525267592961" MODIFIED="1525267602727">
<node TEXT="LRU" ID="ID_1668176014" CREATED="1525268023150" MODIFIED="1525268024449"/>
<node TEXT="Atualiza&#xe7;&#xe3;o da lista a cada refer&#xea;ncia de mem&#xf3;ria" ID="ID_1635312443" CREATED="1525268210660" MODIFIED="1525268220627"/>
<node TEXT="Contadores associados a uma p&#xe1;gina inicialmente = 0" ID="ID_1840564328" CREATED="1525268227221" MODIFIED="1525268240645"/>
<node TEXT="A cada interrup&#xe7;&#xe3;o de rel&#xf3;gio" FOLDED="true" ID="ID_87146998" CREATED="1525268241353" MODIFIED="1525268262359">
<node TEXT="SO percorre todas as p&#xe1;ginas e Bit R adicionado" ID="ID_37896282" CREATED="1525268263438" MODIFIED="1525268279560"/>
<node TEXT="Problema:" FOLDED="true" ID="ID_496051868" CREATED="1525268388757" MODIFIED="1525268396124">
<node TEXT="Nunca &#xe9; zerado" ID="ID_348873192" CREATED="1525268282477" MODIFIED="1525268393704">
<font BOLD="true"/>
</node>
</node>
</node>
<node TEXT="Modifica&#xe7;&#xe3;o Aging" FOLDED="true" ID="ID_539588221" CREATED="1525268324169" MODIFIED="1525268891758">
<font BOLD="true"/>
<node TEXT="A cada interrup&#xe7;&#xe3;o de rel&#xf3;gio" FOLDED="true" ID="ID_1459689182" CREATED="1525268329837" MODIFIED="1525268335904">
<node TEXT="SO desloca contador 1 bit &#xe0; direita" ID="ID_1900304911" CREATED="1525268336939" MODIFIED="1525268349533"/>
<node TEXT="Bit R &#xe9; adicionado &#xe0; esquerda do contador" ID="ID_1846801987" CREATED="1525268350403" MODIFIED="1525268375119"/>
</node>
</node>
</node>
<node TEXT="substitui&#xe7;&#xe3;o de p&#xe1;gina de conjunto de trabalho" FOLDED="true" ID="ID_12060801" CREATED="1525267603882" MODIFIED="1525267610497">
<node TEXT="Conjunto de trabalho:" FOLDED="true" ID="ID_788670566" CREATED="1525268557650" MODIFIED="1525268562442">
<node TEXT="conjunto das k &#xfa;ltimas refer&#xea;ncias &#xe0; mem&#xf3;ria" FOLDED="true" ID="ID_1524613005" CREATED="1525268562827" MODIFIED="1525268577919">
<node TEXT="armazena-se p&#xe1;ginas referenciadas nestas refer&#xea;ncias" ID="ID_1237793961" CREATED="1525268579346" MODIFIED="1525268616123"/>
</node>
</node>
<node TEXT="Passos:" FOLDED="true" ID="ID_547338549" CREATED="1525268627142" MODIFIED="1525268628936">
<node TEXT="Encontrar p&#xe1;gina que n&#xe3;o esteja presente no conjunto de trabalho" ID="ID_1454266087" CREATED="1525268503267" MODIFIED="1525268515554"/>
<node TEXT="remover p&#xe1;gina da mem&#xf3;ria" ID="ID_1265052532" CREATED="1525268515759" MODIFIED="1525268520406"/>
</node>
</node>
<node TEXT="substitui&#xe7;&#xe3;o de p&#xe1;gina WSClock" FOLDED="true" ID="ID_513218164" CREATED="1525267611153" MODIFIED="1525267615423">
<node TEXT="Mescla: conjunto de trabalho(work set)+rel&#xf3;gio(clock)" ID="ID_1327900422" CREATED="1525268645940" MODIFIED="1525268687752"/>
<node TEXT="Passos:" FOLDED="true" ID="ID_1262950626" CREATED="1525268704002" MODIFIED="1525268708955">
<node TEXT="Pagina apontada &#xe9; examinada 1&#xba;" ID="ID_1335284033" CREATED="1525268709813" MODIFIED="1525268721733"/>
<node TEXT="O Bit R &#xe9; 1 portanto continua" ID="ID_1237687677" CREATED="1525268722032" MODIFIED="1525268740832"/>
<node TEXT="O Bit R &#xe9; 0 e idade &lt; t" FOLDED="true" ID="ID_1693151756" CREATED="1525268741161" MODIFIED="1525268750653">
<node TEXT="Se estiver suja(modificada)" FOLDED="true" ID="ID_1750579077" CREATED="1525268757768" MODIFIED="1525268778605">
<node TEXT="marca para E/S e tenta pr&#xf3;xima" ID="ID_1780785594" CREATED="1525268779510" MODIFIED="1525268791035"/>
</node>
<node TEXT="Se n&#xe3;o estiver suja" FOLDED="true" ID="ID_1046432074" CREATED="1525268761251" MODIFIED="1525268764398">
<node TEXT="substitu&#xed;da" ID="ID_1174625077" CREATED="1525268765580" MODIFIED="1525268791856">
<font BOLD="true"/>
</node>
</node>
</node>
<node TEXT="Se voltar ao in&#xed;cio alguma p&#xe1;gina j&#xe1; estar&#xe1; limpa" ID="ID_1864029546" CREATED="1525268798859" MODIFIED="1525268812973"/>
</node>
</node>
</node>
</node>
<node TEXT="MMU" FOLDED="true" ID="ID_389677448" CREATED="1525265473572" MODIFIED="1525265474988">
<node TEXT="Implementa&#xe7;&#xe3;o em Hardware da tabela de mem&#xf3;ria" ID="ID_765407213" CREATED="1525265475760" MODIFIED="1525265483540"/>
<node TEXT="Respons&#xe1;vel por traduzir endere&#xe7;o virtual em endere&#xe7;o f&#xed;sico e vice-versa" ID="ID_316435301" CREATED="1525265558300" MODIFIED="1525265577332"/>
<node TEXT="Endere&#xe7;amento f&#xed;sico" FOLDED="true" ID="ID_291833443" CREATED="1525265924256" MODIFIED="1525265929624">
<node TEXT="3 bits da tabela de p&#xe1;ginas" ID="ID_302130083" CREATED="1525265931505" MODIFIED="1525265946475"/>
<node TEXT="12 bits deslocamento" ID="ID_747280137" CREATED="1525265946943" MODIFIED="1525265967776"/>
</node>
<node TEXT="Endere&#xe7;amento virtual" FOLDED="true" ID="ID_1653841469" CREATED="1525265968766" MODIFIED="1525265974423">
<node TEXT="4 bits definem moldura a ser buscada" ID="ID_1489569628" CREATED="1525265975632" MODIFIED="1525265994041"/>
<node TEXT="12 bits deslocamento na moldura" ID="ID_1198734607" CREATED="1525265994731" MODIFIED="1525266015299"/>
</node>
</node>
<node TEXT="Aloca&#xe7;&#xe3;o de p&#xe1;gina local x global" FOLDED="true" ID="ID_1163861362" CREATED="1525268956904" MODIFIED="1525268964532">
<node TEXT="local" FOLDED="true" ID="ID_1320385869" CREATED="1525268966280" MODIFIED="1525268969480">
<node TEXT="Cada p&#xe1;gina est&#xe1; agrupada por processo e a substitui&#xe7;&#xe3;o ocorre dentro desse agrupamento" ID="ID_1133854376" CREATED="1525268970503" MODIFIED="1525269120280"/>
</node>
<node TEXT="global" FOLDED="true" ID="ID_1806569227" CREATED="1525269012553" MODIFIED="1525269013922">
<node TEXT="A substitui&#xe7;&#xe3;o acontece independente do agrupamento, podendo um agrupamento sobrepor outro" ID="ID_370461824" CREATED="1525269015262" MODIFIED="1525269042568"/>
<node TEXT="Normalmente cada processo &#xe9; iniciado com n&#xfa;mero de molduras proporcional ao tamanho" ID="ID_1241161659" CREATED="1525269053902" MODIFIED="1525269075532"/>
<node TEXT="Mas a atualiza&#xe7;&#xe3;o ocorre com base na frequ&#xea;ncia de falta de p&#xe1;ginas" ID="ID_1666445033" CREATED="1525269081094" MODIFIED="1525269098621"/>
</node>
</node>
<node TEXT="Ultrapagina&#xe7;&#xe3;o" FOLDED="true" ID="ID_1280975227" CREATED="1525269340554" MODIFIED="1525269346360">
<node TEXT="Falta de p&#xe1;gina frequente" ID="ID_1533639817" CREATED="1525269349793" MODIFIED="1525269354861"/>
<node TEXT="Solu&#xe7;&#xe3;o" FOLDED="true" ID="ID_1077849516" CREATED="1525269355118" MODIFIED="1525269356997">
<node TEXT="Manter algumas p&#xe1;ginas livres" ID="ID_967497083" CREATED="1525269358947" MODIFIED="1525269378477"/>
</node>
</node>
<node TEXT="Mem&#xf3;ria compartilhada" FOLDED="true" ID="ID_478383440" CREATED="1525269599024" MODIFIED="1525269602385">
<node TEXT="P&#xe1;ginas compartilhadas" FOLDED="true" ID="ID_347381435" CREATED="1525269411120" MODIFIED="1525269415932">
<node TEXT="P&#xe1;ginas de c&#xf3;digo" FOLDED="true" ID="ID_67002613" CREATED="1525269416887" MODIFIED="1525269442321">
<node TEXT="podem ser compartilhadas" ID="ID_1325562059" CREATED="1525269443319" MODIFIED="1525269445126"/>
</node>
<node TEXT="P&#xe1;ginas de dados" FOLDED="true" ID="ID_186016986" CREATED="1525269446194" MODIFIED="1525269449521">
<node TEXT="podem ser compartilhada para leitura" ID="ID_1445733686" CREATED="1525269450734" MODIFIED="1525269464608"/>
<node TEXT="copiadas quando um processo a sobrescreve" ID="ID_427186761" CREATED="1525269477710" MODIFIED="1525269487316"/>
</node>
<node TEXT="problemas" FOLDED="true" ID="ID_1715105755" CREATED="1525269490018" MODIFIED="1525269492417">
<node TEXT="necessario determinar se processo compatilha mem&#xf3;ria quando este &#xe9; terminado" ID="ID_394003360" CREATED="1525269493388" MODIFIED="1525269520378"/>
<node TEXT="processo &#xe9; levado para disco junto com suas mem&#xf3;rias compartilhadas gerando muitas faltas de p&#xe1;ginas" ID="ID_1138056435" CREATED="1525269532996" MODIFIED="1525269574061"/>
</node>
</node>
<node TEXT="Bibliotecas compatilhadas" FOLDED="true" ID="ID_12999704" CREATED="1525269592727" MODIFIED="1525269598454">
<node TEXT="c&#xf3;digo &#xe9; executado e consultado com a liga&#xe7;&#xe3;o ocorrida na execu&#xe7;&#xe3;o de processos que o utilizem" ID="ID_1342217730" CREATED="1525269634348" MODIFIED="1525269686328"/>
<node TEXT="compiladas com instru&#xe7;&#xf5;es com endere&#xe7;os relativos" ID="ID_1103723916" CREATED="1525269625708" MODIFIED="1525269707665"/>
</node>
</node>
<node TEXT="Pol&#xed;tica de limpeza" FOLDED="true" ID="ID_1909005279" CREATED="1525269734329" MODIFIED="1525269738320">
<node TEXT="Daemon de pagina&#xe7;&#xe3;o" FOLDED="true" ID="ID_383843712" CREATED="1525269739859" MODIFIED="1525269743189">
<node TEXT="Respons&#xe1;vel por garantir um estoque de molduras dispon&#xed;veis" ID="ID_1446637896" CREATED="1525269744003" MODIFIED="1525269755093"/>
<node TEXT="Pode ser implementado rel&#xf3;gio com 2 ponteiros" FOLDED="true" ID="ID_921034806" CREATED="1525269756886" MODIFIED="1525269767725">
<node TEXT="sendo o daemon de pagina&#xe7;&#xe3;o o 1&#xba; ponteiro" FOLDED="true" ID="ID_256375188" CREATED="1525269768953" MODIFIED="1525269790217">
<node TEXT="Que limpa p&#xe1;ginas sujas" ID="ID_1975747871" CREATED="1525269800219" MODIFIED="1525269803560"/>
</node>
</node>
</node>
</node>
<node TEXT="Mem&#xf3;ria secund&#xe1;ria" FOLDED="true" ID="ID_949353590" CREATED="1525269982403" MODIFIED="1525269986781">
<node TEXT="Pode haver parti&#xe7;&#xe3;o swap" FOLDED="true" ID="ID_1838767811" CREATED="1525269988757" MODIFIED="1525269994795">
<node TEXT="Ou apenas uso de arquivos pr&#xe9;-alocados no filesystem normal (como no windows)" ID="ID_231127971" CREATED="1525269998035" MODIFIED="1525270025514"/>
</node>
<node TEXT="Pode conter espa&#xe7;o para todas as p&#xe1;ginas da mem&#xf3;ria virtual" FOLDED="true" ID="ID_537541202" CREATED="1525270027482" MODIFIED="1525270084700">
<node TEXT="Ou pode-se ter uma mapa de disco" ID="ID_513952902" CREATED="1525270091397" MODIFIED="1525270098370"/>
</node>
</node>
<node TEXT="Pol&#xed;tica x mecanismo" FOLDED="true" ID="ID_1714883792" CREATED="1525270227156" MODIFIED="1525270235151">
<node TEXT="Manipulador de MMU em modo n&#xfa;cleo" ID="ID_678428938" CREATED="1525270236275" MODIFIED="1525270280101"/>
<node TEXT="Manipulador de falta em modo n&#xfa;cleo" ID="ID_856772605" CREATED="1525270238099" MODIFIED="1525270247758"/>
<node TEXT="Paginador externo em modo usu&#xe1;rio" ID="ID_1685418264" CREATED="1525270247982" MODIFIED="1525270253766"/>
<node TEXT="Etapas" FOLDED="true" ID="ID_1364010592" CREATED="1525270281822" MODIFIED="1525270284936">
<node TEXT="Falta p&#xe1;gina" ID="ID_758909461" CREATED="1525270287780" MODIFIED="1525270293887"/>
<node TEXT="Manipulador requisita p&#xe1;gina ao paginador externo" ID="ID_1321494738" CREATED="1525270294031" MODIFIED="1525270306522"/>
<node TEXT="Paginador externo solicita p&#xe1;gina ao disco" ID="ID_23084637" CREATED="1525270306663" MODIFIED="1525270326747"/>
<node TEXT="Disco entrega p&#xe1;gina" ID="ID_1282073177" CREATED="1525270327944" MODIFIED="1525270332186"/>
<node TEXT="Manipulador de faltas recebe p&#xe1;gina e mapeia-a na MMU com o manipulador de MMU" ID="ID_897311847" CREATED="1525270332356" MODIFIED="1525270359861"/>
</node>
</node>
<node TEXT="Segmenta&#xe7;&#xe3;o" FOLDED="true" ID="ID_1068582602" CREATED="1525270454547" MODIFIED="1525270457291">
<node TEXT="Prover espa&#xe7;os de endere&#xe7;amento independentes" ID="ID_65058573" CREATED="1525270634918" MODIFIED="1525270645901"/>
<node TEXT="Segmento &#xe9; composto por sequ&#xea;ncia linear de endere&#xe7;os" ID="ID_1984751047" CREATED="1525270658737" MODIFIED="1525270672107"/>
<node TEXT="Segmentos podem ter tamanhos distintos entre si ou mut&#xe1;veis com o decorrer da execu&#xe7;&#xe3;o" ID="ID_272797521" CREATED="1525270684151" MODIFIED="1525270714516"/>
<node TEXT="Permite crescimento e encolhimento independente entre as tabelas" ID="ID_669605276" CREATED="1525270744605" MODIFIED="1525270755349"/>
<node TEXT="Implementa&#xe7;&#xf5;es" FOLDED="true" ID="ID_1581622066" CREATED="1525270885059" MODIFIED="1525270888138">
<node TEXT="MULTICS" ID="ID_1173485014" CREATED="1525270888974" MODIFIED="1525270890692"/>
<node TEXT="Pentium" ID="ID_1217962722" CREATED="1525270890858" MODIFIED="1525270892865"/>
</node>
</node>
</node>
</node>
</node>
</map>
